Windows Printer Drivers

Use this Windows printer driver to print to your printer from nearly any application. This driver supports the following operating systems:

  • All editions of Windows Vista, Windows 7, Windows 8, Windows 8.1, and Windows 10

  • Windows Server 2003, Windows Server 2008, Windows Server 2008 R2, Windows Server 2012, Windows Server 2012 R2, and Windows Server 2016

  • 32-bit and 64-bit (x64) editions

Earlier versions of Windows are no longer supported.

Modern Windows applications can print to any printer for which there is a Windows driver installed on the system. Some older applications, including those that are written for DOS, do not use printer drivers. If you need support for your printer model, contact the application vendor. We also recommend that you consider upgrading to a newer Windows application.

What Is a Printer Driver?

In the early days of computers, every computer program had to be specifically written to support each printer model in order to print to it. This was not a problem when there were very few different models of printers, but there are now countless numbers of different printer models by hundreds of different manufacturers. These models support a wide variety of different paper sizes, fonts, and speed-enhancing capabilities, such as font downloading or graphic compression.

Windows applications can work with all of these different printer models by using printer drivers. A printer driver is a program that is a link between the application and the printer. It allows an application to easily print to any printer for which there is a driver.

How a Printer Driver Works

An application uses the driver to determine the printer's capabilities, such as which paper sizes are supported or which fonts are available, and then presents these capabilities to the user as settings to select. When the user prints items from the application, the application instructs the driver about what to print. For example, to print a line of text, the application instructs the driver about what the text is, which font to use, and where to place the text on the page. The driver then transforms these instructions into the specific language that is understood by the printer.

In this manner, any Windows application can support printing to any printer. Only the driver software needs to determine the specific capabilities and language of the printer.


Changing Printer Driver Settings

The printer driver allows you to change a variety of settings, such as port settings, page size, or print speed. There are also useful diagnostic features available, such as printing test labels.

Property pages are divided into two types. Some property pages contain settings that may be specific to individual documents. For example, page size and orientation may differ from one document to another. These settings are called document properties. You may change these settings from the Printers folder, and they will be used as the defaults for all new documents. You may also edit these settings from within an application, and these changes will only take effect for the current document.

Some property pages contain settings or diagnostic features that are not specific to any single document. These settings are called printer properties. For example, RS-232 serial port settings are shared between all applications using the printer. When the settings are changed from the Printers folder, they affect all applications that print to the printer. These settings may not be modified from within an application.

The settings available vary from printer to printer, but for all printers there is a standard way to access printer settings from Windows. This procedure is slightly different in different versions of Windows, but the user interface is similar under all versions of Windows.

Windows 2000, XP, and Server 2003

In Windows 2000, XP, and Server 2003, printer properties are modified from the Properties dialog. The Printing Preferences dialog is used to modify the default document properties.

  1. Click the Windows Start button.

  2. Select Settings and then Printers. The Printers folder will be displayed. If you are using Windows XP, the Printers and Faxes folder may be available directly from the Start Menu depending on how your Start Menu is configured.

  3. Find your printer and click your right mouse button on it.

  4. Select the Properties or Printing Preferences option to display the corresponding dialog.

  5. Click the tabs to move between the property pages.

  6. Modify any settings desired, and select OK to save the changes and exit the dialog.

Windows Vista

In Windows Vista, printer properties are modified from the Properties dialog. The Printing Preferences dialog is used to modify the default document properties.

  1. Click the Windows Start button.

  2. Depending on how the Start Menu is configured, the Printers folder may be displayed in this menu. If not, open Control Panel, and then click Printers (under Hardware and Sound). The Printers folder will be displayed.

  3. Find your printer and click your right mouse button on it.

  4. Select the Properties or Printing Preferences option to display the corresponding dialog. If User Account Control (UAC) is enabled, some printer properties may only be modified by selecting the Properties option under the Run Elevated menu.

  5. Click the tabs to move between the property pages.

  6. Modify any settings desired, and select OK to save the changes and exit the dialog.


Maximizing Your Printer Speed

Some of the most impressive graphics capabilities of Windows, including the ability to print TrueType fonts, can result in surprisingly large amounts of information being sent to your printer. Therefore, your printing performance can be adversely affected if you don't optimally configure your printer and workstation.

The following sections contain information to help you maximize your printing speed and understand the difference between images that are formatted by Windows and images that are formatted by your printer.

RS-232 Serial Communications vs. Other Port Types

Some printers come standard with only a serial port (RS-232). A parallel port, USB port, or network connection may be optional, or not be available at all. RS-232 serial communication may be adequate if you only intend to use your printer's built-in bar codes and typefaces. However, if you want to take advantage of any of Windows' graphics capabilities, you will achieve significantly better performance if you use a printer equipped with a faster communications port.

Increasing the Baud Rate

Most RS-232 serial port printers ship from the factory with their baud rate set to 9600. However, many printers equipped with a RS-232 serial port can be easily set to 19200 baud and higher, allowing the printer to receive much faster. For certain print jobs, such as those that include TrueType text or large amounts of graphics (such as company logos and pictures), doubling your communication speed will double your printing speed as well.

Before you change the communication speed of your printer, you should first get everything up and running using your printer's default configuration. Once you can print properly using the default settings, consult the manual for your printer (or call technical support for your printer manufacturer) to confirm that your printer supports higher baud rates. If it does, find out how to reconfigure the printer. After you reconfigure the printer, configure the baud rate in Windows to agree with your new printer settings.

Performance Benefits of Outputting Identical Labels

When outputting multiple copies of identical labels containing graphics to a printer using a RS-232 serial cable, you may notice that it takes some time before your first label prints out. However, once the first label has printed, subsequent copies will print out at your printer's full-rated speed, even if you aren’t using a parallel cable.

The Benefits of Outputting Printer-based Objects

Windows programs often print images by drawing them out dot-by-dot using "bitmap" graphics. With high resolution printers, such as laser and thermal printers, this creates so many dots to be output that printing speed can be reduced. Fortunately, many thermal printers can output bar codes, lines, boxes, and different size "scalable" text fonts using intelligent high-level commands. Use of these features can significantly increase printing speed because a Windows program can, for example, print a font built into the printer by outputting a few quick control codes, instead of sending a large dot-by-dot bitmap drawing of the entire text image.

Some Image Types Must Be Printed Using Windows Graphics

Although the high-level languages built into many printers are helpful for printing certain types of images, there are times when a Windows program must output an image as a bitmap. For example, you can only print a graphic (such as a company logo) or a designer typeface that is not built into your printer using the bitmap method. The more graphics that you send to your printer, the slower your printing speed will be, especially if you are talking to the printer through a RS-232 serial cable.

The Fastest Way to Output Text

Many printers have built-in text fonts. Therefore, whenever one of these typefaces is suitable for your needs, they will print faster than the fonts built into Windows. When the fonts built into your printer prove too limiting, there are literally hundreds of additional designer typefaces available as Windows TrueType fonts. However, unless your printer supports the download of TrueType fonts, these fonts can only be transmitted to your printer as graphics and will therefore slow down your printing speed, especially if you are using a RS-232 serial cable.

Understanding Why Some Printer-Based Capabilities Will Not Be Available To Your Programs

Because most of the special capabilities built into thermal printers are different for each brand of printer, and because thermal printers are totally different from the more common printers supported by Windows, it is just not possible for standard Windows programs to access certain high-level thermal printer commands.


End User License Agreement for Printer Drivers
by Seagull Scientific, Inc.

THIS END USER LICENSE AGREEMENT (“AGREEMENT”) IS BETWEEN SEAGULL SCIENTIFIC, INC. OR THE APPLICABLE SEAGULL SCIENTIFIC, INC. SUBSIDIARY (“SEAGULL SCIENTIFIC” OR “WE”, “US” OR “OUR”) AND THE CUSTOMER (INDIVIDUAL OR ENTITY) THAT HAS DOWNLOADED OR OTHERWISE PROCURED THE PRINTER DRIVER SOFTWARE PRODUCT (AS DEFINED BELOW) FOR USE AS AN END USER (“YOU”). BY CHECKING THE ACCEPTANCE BOX OR INSTALLING OR USING ALL OR ANY PORTION OF THE PRINTER DRIVER SOFTWARE, YOU ARE ACCEPTING ALL OF THE TERMS AND CONDITIONS OF THIS AGREEMENT AS PUBLISHED ON SEAGULL SCIENTIFIC’S WEBSITE AT WWW.SEAGULLSCIENTIFIC.COM (AS MAY BE RELOCATED BY SEAGULL SCIENTIFIC FROM TIME TO TIME). SEAGULL SCIENTIFIC RESERVES THE RIGHT, AT ANY TIME AND FROM TIME TO TIME, TO UPDATE, REVISE, SUPPLEMENT, AND OTHERWISE MODIFY THIS AGREEMENT AND TO IMPOSE NEW OR ADDITIONAL RULES, POLICIES, TERMS, OR CONDITIONS ON YOUR USE OF THE SERVICE. SUCH UPDATES, REVISIONS, SUPPLEMENTS, MODIFICATIONS, AND ADDITIONAL RULES, POLICIES, TERMS, AND CONDITIONS (COLLECTIVELY REFERRED TO IN THIS AGREEMENT AS "ADDITIONAL TERMS") WILL BE EFFECTIVE IMMEDIATELY AND INCORPORATED INTO THIS AGREEMENT. YOUR CONTINUED USE OF THE LICENSED PRINTER DRIVER SOFTWARE FOLLOWING THE ADDITIONAL TERMS WILL BE DEEMED TO CONSTITUTE YOUR ACCEPTANCE OF ANY AND ALL SUCH ADDITIONAL TERMS. ALL ADDITIONAL TERMS ARE HEREBY INCORPORATED INTO THIS AGREEMENT BY THIS REFERENCE. YOU AGREE THAT THIS AGREEMENT IS ENFORCEABLE LIKE ANY WRITTEN AGREEMENT. IF YOU DO NOT AGREE TO ALL OF THESE TERMS AND CONDITIONS, DO NOT DOWNLOAD OR INSTALL THE PRINTER DRIVER SOFTWARE. IF YOU WISH TO USE THE PRINTER DRIVER SOFTWARE AS AN EMPLOYEE, CONTRACTOR, OR AGENT OF A CORPORATION, PARTNERSHIP OR SIMILAR ENTITY, THEN YOU MUST BE AUTHORIZED TO SIGN FOR AND BIND THE ENTITY IN ORDER TO ACCEPT THE TERMS OF THIS AGREEMENT AND YOU REPRESENT AND WARRANT THAT YOU HAVE THE RIGHT AND AUTHORITY TO DO SO.

1. Definition of Source Code.

Source Code, where used in this document, means any collection of code, with or without comments, written using a human-readable programming language, usually as plain text. The source code of a program is specially designed to facilitate the work of computer programmers, who specify the actions to be performed by a computer mostly by writing source code. The source code is often transformed by an assembler or compiler into binary machine code that can be executed by the computer. The machine code might then be stored for execution at a later time. Alternatively, source code may be interpreted and thus immediately executed.

Unless otherwise noted, the Printer Driver Software, Support and Maintenance Service, and Documentation are referred to collectively herein as “Printer Driver Software Product(s)”. All undefined names of Printer Driver Software Products have the meanings given to them in the Documentation.

User Content: means any data, email address, file attachments, text, images, reports, personal information, or other content that is uploaded or submitted to the online Portal by you and is processed by Seagull Scientific on your behalf.

2. Introduction

Seagull Scientific grants you a non-exclusive license to use the accompanying Printer Driver Software Product(s), subject to the following provisions. You assume full responsibility for the selection of the Printer Driver Software to achieve your intended results, and for the installation, use, and results obtained from the Printer Driver Software.

3. Printer Driver Software Distribution

You may obtain the Printer Driver Software directly from Seagull Scientific by downloading it from Seagull Scientific’s website. You are also permitted to keep copies within your corporate network for archival purposes but may not redistribute them outside of your organization without explicit prior written authorization from Seagull Scientific.

YOU ARE EXPRESSLY PROHIBITED FROM REDISTRIBUTING SEAGULL SCIENTIFIC’S PRINTER DRIVER SOFTWARE WITHOUT PRIOR WRITTEN AUTHORIZATION OBTAINED DIRECTLY FROM SEAGULL SCIENTIFIC.

4. Ownership and Restrictions on Use of Printer Driver Software

4.1 Notwithstanding anything to the contrary contained herein, except for the limited rights expressly provided herein, Seagull Scientific and its licensors have and will retain all rights, title and interest (including, without limitation, all intellectual property rights) in and to the Printer Driver Software Product, Source Code, Machine Code, and all copies, modifications and derivative works thereof (including any changes which incorporate any of your ideas, feedback or suggestions). You acknowledge that you are obtaining only a limited license right to the Printer Driver Software Product(s), Source Code, Third Party Code and that irrespective of any use of the words “purchase”, “sale” or like terms hereunder no ownership rights are being conveyed to you under this Agreement or otherwise. All other trademarks are the property of their respective owners.

4.2 Restrictions on Use of Printer Driver Software. Unless otherwise specifically provided by Seagull Scientific, Seagull Scientific does not grant you permission to modify any Printer Driver Software whether in the form of source code or machine code of the Printer Driver Software provided by Seagull Scientific to you under any circumstances. To be clear, as a condition of your use of the Printer Driver Software, you shall not (and shall not allow any third party to): (a) decompile, disassemble, or otherwise reverse engineer the Software or attempt to reconstruct or discover any source code, algorithms, file formats or programming interfaces of the Printer Driver Software by any means whatsoever (except and only to the extent that applicable law prohibits or restricts reverse engineering restrictions, or as permitted by an applicable Open Source Software license); (b) distribute, sell, sublicense, rent, lease or use the Printer Driver Software for time sharing, hosting, or other use of the Printer Driver Software as a service or like purposes unless Seagull Scientific provides its prior written consent; (c) remove any product identification, proprietary, copyright trademark, service mark, or other notices contained in the Printer Driver Software; (d) modify any part of the Printer Driver Software, or to create a derivative work of any part of the Printer Driver Software, or incorporate the Printer Driver Software into or with other software; (e) publicly disseminate performance information or analysis (including, without limitation, benchmarks) from any source relating to the Software; (f) utilize any equipment, device, software, or other means designed to circumvent or remove any form of or copy protection used by Seagull Scientific in connection with the Printer Driver Software, or use of the Printer Driver Software; or, (g) use the Printer Driver Software to develop a product which is competitive with any Seagull Scientific product offerings.

5. Term and Termination

5.1 Term of Agreement. This Agreement commences on the date you download the Printer Driver Software Product(s). You may terminate this Agreement by ceasing use of the Printer Driver Software Product(s) and deleting the Printer Driver Software Product(s) and its Documentation from your system(s). Seagull Scientific may terminate this Agreement: (a) if you fail to cure any material breach of this Agreement within thirty (30) days after written notice of such breach; or (b) if you fail to comply with applicable laws, regulations, or in response to U.S. economic sanctions laws, regulations, and requirements, and applicable foreign import and export controls. Unless otherwise specified herein, termination is not an exclusive remedy and the exercise by either party of any remedy under this Agreement will be without prejudice to any other remedies it may have under this Agreement, by law, or otherwise.

5.2 Termination. Upon any expiration or termination of this Agreement, you shall immediately cease any and all use of any Printer Driver Software Product(s).

5.3 Survival. Sections 4 (Ownership and Restrictions on Use of Printer Driver Software), 5 (Term and Termination), 6.2 (Disclaimer of Warranties), 7.1, 7.2, 7.3 and 7.5 (Limitation of Remedies; Indemnification and Damages), 8 (Export Compliance) and 9 (General) shall survive any termination or expiration of this Agreement.

6. Mutual Warranties and Disclaimer

6.1 Mutual Warranties. Both parties each hereby warrant to the other that: (a) it has the authority to enter into the Agreement, to grant the rights granted by it under the Agreement, and to perform its obligations under the Agreement; and (b) it will comply with all applicable laws and regulations in effect during the term of the Agreement as they apply to such party’s rights and obligations under the Agreement.

6.2 Disclaimer of Warranties. THIS SECTION 6.2 IS A LIMITED WARRANTY AND, EXCEPT AS EXPRESSLY SET FORTH IN THIS SECTION 6, THE PRINTER DRIVER SOFTWARE PRODUCT(S), INCLUDING WITHOUT LIMITATION ANY THIRD-PARTY CODE, AND ALL SERVICES ARE PROVIDED “AS IS”. SEAGULL SCIENTIFIC DOES NOT WARRANT THAT YOUR USE OF THE PRINTER DRIVER SOFTWARE WILL BE UNINTERRUPTED OR ERROR-FREE OR THAT SECURITY MECHANISMS, IF ANY, IMPLEMENTED BY THE PRINTER DRIVER SOFTWARE WILL NOT HAVE INHERENT LIMITATIONS. NEITHER SEAGULL SCIENTIFIC NOR ITS LICENSORS, IF ANY, MAKES ANY OTHER WARRANTIES, CONDITIONS OR UNDERTAKINGS, EXPRESS OR IMPLIED, STATUTORY OR OTHERWISE, INCLUDING BUT NOT LIMITED TO WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NONINFRINGEMENT. YOU MAY HAVE OTHER STATUTORY RIGHTS. HOWEVER, TO THE FULL EXTENT PERMITTED BY LAW, THE ENTIRE RISK ARISING OUT OF USE OR PERFORMANCE OF THE PRINTER DRIVER SOFTWARE PRODUCT(S) REMAINS WITH YOU.

7. Limitation of Remedies; Indemnification and Damages

7.1 SEAGULL SCIENTIFIC SHALL NOT BE LIABLE FOR ANY LOSS OF USE, LOST DATA, FAILURE OF SECURITY MECHANISMS, INTERRUPTION OF BUSINESS, OR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY KIND (INCLUDING LOST PROFITS OR COSTS OF COVER), REGARDLESS OF THE FORM OF ACTION, WHETHER IN CONTRACT, TORT (INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, EVEN IF INFORMED OF THE POSSIBILITY OF SUCH DAMAGES IN ADVANCE.

7.2 EXCEPT FOR: YOUR BREACH OF SECTION 3 (PRINTER DRIVER SOFTWARE DISTRIBUTION), SECTION 4.2 (RESTRICTIONS ON USE OF PRINTER DRIVER SOFTWARE), OR SECTION 8 (EXPORT COMPLIANCE), EACH PARTY’S ENTIRE LIABILITY UNDER THIS AGREEMENT SHALL NOT EXCEED FEES PAID OR OWED BY YOU UNDER THIS AGREEMENT DURING THE TWELVE MONTHS PRECEDING THE CLAIM. IN THE CASE WHERE NO AMOUNT WAS PAID FOR THE PRINTER DRIVER SOFTWARE OR SERVICE GIVING RISE TO THE CLAIM, SEAGULL SCIENTIFIC AND ITS LICENSORS’ ENTIRE LIABILITY TO YOU UNDER THIS AGREEMENT SHALL NOT EXCEED USD$5.00; PROVIDED, HOWEVER, IF YOU HAVE ENTERED INTO A SEAGULL SCIENTIFIC MAINTENANCE AGREEMENT, SEAGULL SCIENTIFIC’S ENTIRE LIABILITY REGARDING SUPPORT SERVICES SHALL BE GOVERNED BY THE TERMS OF THAT AGREEMENT. BECAUSE SOME STATES/JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

7.3 The parties agree that the limitations specified in this Section 7 will survive and apply even if any limited remedy specified in this Agreement is found to have failed its essential purpose.

7.4 Seagull Scientific Indemnification: Seagull Scientific shall defend you from and against any claim by a third party alleging that the Printer Driver Software Product when used as authorized under this Agreement infringes a U.S. patent, U.S. copyright, or U.S. trademark and shall indemnify and hold you harmless from and against any damages and costs awarded against you or agreed in settlement by Seagull Scientific (including reasonable attorneys’ fees) resulting from such claim, provided that you tender to Seagull Scientific: (a) prompt written notice of such claim (but in any event notice in sufficient time for Seagull Scientific to respond without prejudice); (b) the exclusive right to control and direct the investigation, defense, and settlement (if applicable) of such claim; and (c) all reasonably necessary cooperation from you. If your use of the Printer Driver Software Product is (or in Seagull Scientific’s opinion is likely to be) enjoined, if required by settlement or if Seagull Scientific determines such actions are reasonably necessary to avoid material liability, Seagull Scientific may, in its sole discretion: (i) substitute for the Printer Driver Software Product substantially functionally similar programs and documentation; (ii) procure for you the right to continue using the Printer Driver Software Product; or if (i) and (ii) are not commercially reasonable, (iii) terminate this Agreement. The foregoing obligations of Seagull Scientific shall not apply: (1) if the Printer Driver Software Product is modified by you or any party other than Seagull Scientific, but solely to the extent the alleged infringement is caused by such modification; (2) if the Printer Driver Software Product is combined with products or processes not provided or authorized by Seagull Scientific, but solely to the extent the alleged infringement is caused by such combination; (3) to any unauthorized use of the Printer Driver Software Product; (4) to any unsupported release of the Printer Driver Software Product; (5) to any Third-Party Code contained within the Printer Driver Software Product; or (6) if you settle or make any admissions with respect to a claim without Seagull Scientific’s prior written consent. THIS SECTION 6 SETS FORTH SEAGULL SCIENTIFIC’S AND ITS LICENSORS’ SOLE LIABILITY AND YOUR SOLE AND EXCLUSIVE REMEDY WITH RESPECT TO ANY CLAIM OF INTELLECTUAL PROPERTY INFRINGEMENT.

7.5 Indemnification by You. Subject to this Section 7, you shall defend Seagull Scientific from and against all claims by third parties resulting from or relating to: (a) any breach by you of this Agreement, your unauthorized use of the Printer Driver Software Product, or your noncompliance with the licensing restrictions contained herein, and, further, you shall indemnify and hold Seagull Scientific harmless from and against any damages and costs awarded against Seagull Scientific or agreed in settlement by you (including reasonable attorney’s fees) resulting from such claims, provided that you shall have received from Seagull Scientific: (i) prompt written notice of such claim (but in any event notice in sufficient time for you to respond without prejudice); (ii) the exclusive right to control and direct the investigation, defense, and settlement (if applicable) of such claim; and (iii) all reasonably necessary cooperation from Seagull Scientific. You may not settle any such claim relating to the Printer Driver Software Product without Seagull Scientific’s prior written consent, which shall not be unreasonably withheld, conditioned, or delayed.

8. Export Compliance

You acknowledge that the Printer Driver Software Product is subject to export restrictions by the United States government and may be subject to import restrictions by certain foreign governments, and you agree to comply with all applicable export and import laws and regulations in your download of, access to, and use of the Printer Driver Software Product. You shall not (and shall not allow any third-party to) remove or export from the United States or allow the export or re-export of any part of the Printer Driver Software Product or any direct product thereof: (a) into (or to a national or resident of) any embargoed or terrorist-supporting country; (b) to anyone on the U.S. Commerce Department’s Denied Persons, Entity, or Unverified Lists or the U.S. Treasury Department’s list of Specially Designated Nationals and Consolidated Sanctions list (collectively, “Prohibited Persons”); (c) to any country to which such export or re-export is restricted or prohibited, or as to which the United States government or any agency thereof requires an export license or other governmental approval at the time of export or re-export without first obtaining such license or approval; or (d) otherwise in violation of any export or import restrictions, laws or regulations of any United States or foreign agency or authority. You represent and warrant that you are not located in, under the control of, or a national or resident of any such prohibited country. You also certify that you are not a Prohibited Person nor owned, controlled by, or acting on behalf of a Prohibited Person. You agree not to use or provide the Printer Driver Software Product for any prohibited end use, including to support any nuclear, chemical, or biological weapons proliferation, or missile technology, without the prior permission of the United States government.

9. General

9.1 Non-assignment. You may not assign any of your rights or obligations hereunder, whether by operation of law or otherwise, without Seagull Scientific’s prior written consent (not to be unreasonably withheld). This Agreement will bind and inure to the benefit of the parties and your respective successor(s) and permitted assign(s).

9.2 Seagull Scientific may access or disclose information about you or your use of the Driver Printer Software Product(s): (a) when it is required by law (such as when Seagull Scientific receives a valid subpoena or search warrant); (b) to respond to your requests for customer service support; or (c) when Seagull Scientific, in its discretion, think it is necessary to protect Seagull Scientific’s rights, property, or personal safety, or that of Seagull Scientific’s users, or the public.

9.3 Severability. If any provision of this Agreement shall be adjudged by any court of competent jurisdiction to be unenforceable or invalid, that provision shall be limited to the minimum extent necessary so that this Agreement shall otherwise remain in effect.

9.4 Governing Law; Jurisdiction and Venue. Excluding conflict of laws rules, this Agreement shall be governed by and construed under the laws of the State of Washington, USA. Should any legal action be necessary between the parties such legal action shall be filed in Bellevue, Washington, USA. The prevailing party in any litigation arising out of this Agreement shall be entitled to be reimbursed for all attorney's fees, expense, and associated costs. If any provision of the Agreement shall be held to be invalid, illegal, or unenforceable, the remaining provisions shall nevertheless be given full force and effect. The United Nations Convention on Contracts for the International Sale of Goods and the Uniform Computer Information Transactions Act, as currently enacted by any jurisdiction or as may be codified or amended from time to time by any jurisdiction, do not apply to this Agreement.

9.5 Attorneys’ Fees and Costs. The prevailing party in any action to enforce this Agreement will be entitled to recover its attorneys’ fees and costs in connection with such action.

9.6 Notices and Reports. Any notice or report hereunder shall be in writing or in electronic format. If to Seagull Scientific by mail, such notice or report shall be sent to Seagull Scientific at 15325 SE 30th Place, Suite 100, Bellevue, WA 98007-6597 to the attention of “Legal Department”. If to Seagull Scientific by email, such notice or report shall be sent to: legal@SeagullScientific.com. If to you, such notice or report shall be sent to the mailing or email address you provided upon placing your order. Notices and reports sent by mail shall be deemed given: (a) upon receipt if by personal delivery; (b) upon receipt if sent by certified or registered mail (return receipt requested); or (c) one day after it is sent if by next day delivery by a major commercial delivery service. Any notices and reports sent by email shall be effective upon receipt of the same.

9.7 Amendments; Waivers. No waiver will be implied from conduct or failure to enforce or exercise rights under this Agreement, nor will any waiver be effective unless in a writing signed by a duly authorized representative on behalf of the party claimed to have waived. All conflicting terms in any purchase order or other business form employed by you, including any electronic invoicing portals, vendor registration processes, or forms related to individuals being on your premises for Professional Services, are void, and any such document relating to this Agreement shall be for administrative purposes only and shall have no legal effect.

9.8 Entire Agreement. This Agreement is the complete and exclusive statement of the mutual understanding of the parties and supersedes and cancels all previous written and oral agreements and communications relating to the subject matter of this Agreement.

9.9 Independent Contractors. The parties are independent contractors. This Agreement does not create a partnership, franchise, joint venture, agency, fiduciary or employment relationship between the parties. Each party will be solely responsible for payment of all compensation owed to its employees, as well as all employment-related taxes.

9.10 Audit Rights. With reasonable prior notice, Seagull Scientific may audit your use of the Printer Driver Software Product and compliance with this Agreement, software monitoring system and records, provided such audit is during regular business hours. If such inspections or audits disclose that you have installed, accessed or permitted access to or use of the Printer Driver Software Product in a manner that is not permitted under this Agreement, then Seagull Scientific may terminate this Agreement pursuant to Section 6 (Term and Termination) and you are liable for the reasonable costs of the audit in addition to any other fees, damages and penalties Seagull Scientific may be entitled to under this Agreement and applicable law.

9.11 Government End-Users. The Printer Driver Software Product is commercial computer software. If the user or licensee of the Printer Driver Software Product is an agency, department, or other entity of the United States Government, the use, duplication, reproduction, release, modification, disclosure, or transfer of the Printer Driver Software Product, or any related documentation of any kind, including technical data and manuals, is restricted by a license agreement or by the terms of this Agreement in accordance with Federal Acquisition Regulation 12.212 for civilian purposes and Defense Federal Acquisition Regulation Supplement 227.7202 for military purposes. The Printer Driver Software Product was developed fully at private expense. All other use is prohibited.

9.12 Third-Party Beneficiary. There are no third-party beneficiaries under this Agreement.

9.13 Language. Regardless of any language into which this Agreement may be translated, the official, controlling and governing version of this Agreement shall be exclusively the English language version.

9.14 Modifications to this Agreement. Seagull Scientific may modify this Agreement from time to time by giving notice to you by email, through our website, through the Printer Driver Software Product or through Seagull Scientific’s online user interfaces as expressed above. At Seagull Scientific’s discretion, you may be required to click to accept or otherwise agree to a modified Agreement in order to continue using the Printer Driver Software Product, and, in any event, continued use of the Printer Driver Software Product after the modified version of this Agreement becomes effective will constitute your acceptance of such modified version as expressed above.


Page Setup Property Page

The options on the Page Setup property page allow you to specify your default stock size and orientation. You can create other stock sizes that you can then access through your application’s page setup dialog. In addition, it is possible to store all of your settings as a named preset, and easily switch among multiple configurations.

Stock

Most applications allow you to specify stock dimensions manually from within the application. It is also possible to create preset stock sizes that can be selected simply by choosing the name of the stock from the application's Page Setup dialog. There is virtually no limit to how many stock sizes you can create, which means you can create additional sizes for frequently used but non-standard sizes, and easily access the list from your application’s Page Setup dialog.

  • Name. Used to display existing stock names and to specify the default stock to use for this printer.

  • New. Used to create a new stock. The new stock will default to a copy of the stock currently selected in the Name control.

  • Edit. Used to edit the specifications of the stock currently selected in the Name control.

  • Delete. Used to remove a stock from the list.

Orientation

Most applications allow you to define a page orientation from within the application, but many do not allow 180° rotation of the image. You may choose the default page orientation from the following:

  • Portrait. Prints images so that the bottom of the image comes out of the printer first.

  • Landscape. Rotates images 90° counterclockwise (from the portrait orientation), so that the left edge of the image comes out of the printer first.

  • Portrait 180°. Prints images so that the top of the image comes out of the printer first.

  • Landscape 180°. Rotates images 90° clockwise (from the portrait orientation), so that the right edge of the image comes out of the printer first.

Effects

  • Mirror Image. The Mirror Image option allows you to print labels so that images appear as if they are displayed in a mirror. You may use this for printing on labels when the adhesive side should be the readable side, such as those that are placed on windshields or windows. Not all printers support this feature.

  • Negative. The Negative option allows you to print labels so that images appear inversed; white becomes black and black becomes white. Not all printers support this feature.

Presets

  • Name. Select the name of a pre-defined collection of printer settings. All printer settings will be changed to match those stored within the named preset.

  • Manage. Opens the Presets dialog, which allows you to create, update, and delete presets.

Additional Options

  • Double-Sided Printing. For printers that support double-sided printing, displays the Double-Sided Printing dialog.

  • Advanced Options. Displays the Advanced Options dialog, which allows you to define offsets, additional user commands, and passthrough methods.


Edit Label Stock Dialog

When you need to specify a label stock size different from the existing label stock sizes, you can either create a new label stock size or edit an existing one. The options available in the Edit Label Stock dialog are described below.

  • Name. Used to display the name of the existing label stock name that you are editing or to enter the name of a new label stock size.

  • Type. Specifies the stock type for the printer. The available options depend on the type of printer and may include one or more of the following:

    • Die Cut. When selected, you must also select the proper paper gap/mark sensor for Die Cut media. The sensor choices are usually specified on the Stock page.

    • Continuous (Fixed Length). When selected, you must also disable the paper sensor for continuous printing. The sensor choices are usually specified on the Stock page.

    • Continuous (Variable Length). Supports roll-media printers. When selected, the actual label length sent to the printer is the sum of the height of the page contents plus the top and bottom margins. You must also disable the paper sensor for continuous printing. The sensor choices are usually specified on the Stock page.

    • Sheet. This is the only option available for page printers.

    • Card. This is the only option available for card printers.

  • Label Size. Used to specify the height and width of a label stock size. Keep in mind that height and width are relative to the orientation of the label. For example, when printing using portrait orientation, you may have a label with a height of 6" and a width of 4". However, when you change the orientation to landscape, the height would change to 4" and the width to 6."

  • Exposed Liner Width. Used to specify the distance between the edges of the paper backing the label and the edges of the label.

The "User Defined" Size

All printers have a stock size referred to as the "User Defined" size (or "USER"). Applications use this stock size to allow you to specify custom page sizes from within that application. Editing this stock size will change the default value used by these applications. This stock size may not be deleted, because it is a special system-defined value.


Presets Dialog

Use this dialog to name, save, and edit collections of printer configuration settings called "presets".

  • Presets List. The list of presets.

  • Presets Information. The name and description of the preset currently highlighted in the list.

  • New. Click this button to create a new preset. Enter a name and description for the preset. When you click OK, all the current printer settings are saved under the name.

  • Delete. Click this button to delete the currently highlighted preset.

  • Update. Click this button to change the currently highlighted preset to the current configuration settings. You will be prompted to confirm.


Double-Sided Printing Dialog

The options on the Double-Sided Printing dialog allows you to enable double-sided printing on models that support it.

Printing on Both Sides

  • Print on both sides. When checked, enables the double-sided printing feature on the printer.

  • Rotate back side 180°. When checked, rotates the printed output on the back side of the stock so that the top of the image comes out of the printer first.


Printing Position Dialog

Position Adjustment

These settings allow you to make adjustments to the position of the printed image on the page.

  • Horizontal Offset. A positive value will move the printed image to the right. A negative value will move the image to the left.

  • Vertical Offset. A positive value will move the printed image downward. A negative value will move the image upward.

Orientation Adjustment

This setting allows you to change effect of the orientation settings in the Page Setup Dialog.

  • Default Orientation. The 0° setting does not change the behavior of the orientation settings. The 180° setting rotates all orientations 180 degrees which will cause Portrait to print as Portrait 180, Landscape to print as Landscape 180, etc.


Advanced Options Dialog

User Commands Property Page

User Commands

Occasionally, there may be a printer feature that is not accessible through the driver's user interface. When this happens, it is possible to insert user-defined printer code into each print job. This is done with four fill-in data fields for user-defined commands.

In general, if you encounter features unsupported by the driver, you should suggest them for inclusion in a future version of the driver. The user command functionality is an advanced feature requiring programming in the printer's command language, and should be avoided whenever possible.

Before attempting to insert a user command, it is highly recommended that you not only have a thorough knowledge of the printer command language, but also of the driver's print code recording functionality which is useful when debugging user command problems.

Function Character

The function character is used to insert control characters into user commands and bar code fonts. Use this list to select the function character. If you select None, then control characters cannot be used.

Insert

Clicking the Insert button will show a menu that will help you insert control characters more easily. When a control character is selected from the menu, a properly-formatted string will be inserted using the currently selected function character.

User Command Types

Depending on the type of printer command(s) you will be executing, you may need to output a given special command at the beginning or end of a print job. There may be commands that you wish to output just before or just after the data for each label image is sent to the printer. There are four categories of user-specified printer commands that can be added to a print job:

Start Of Job

Commands that are intended to affect the entire print job should be specified here. These are normally configuration commands unsupported by the driver such as international character sets, but may be any printer command. The Start of Job command is not actually the first code sent to the printer, but is sent after any driver configuration data, allowing you to specify settings that override the driver's configuration.

Start Of Label

There are some types of commands that printers require be sent at the beginning of each label, rather than the beginning of the entire print job. For example, if you wish to add a field to each label, such as a real-time clock, you may specify it with this command. The Start of Label commands get output at the start of each label of the print job.

End Of Label

The End of Label user commands are sent to the printer after each label is printed. This may be used to perform feed or other operations, or activate optional devices such as a cutter.

End Of Job

The End of Job user commands are output at the very end of a label job. One of the more common applications is to output a cut command to a cutter at the end of a print job. This separates the printed labels from the blank labels still in the printer. Another use is to take the printer out of a special mode that it was put into as the result of a previously executed Start of Job command.

User Command Syntax

Depending on the brand of your printer, many printer commands may contain characters that cannot be easily typed in from the keyboard. For example, although some commands can be directly typed into Windows programs with the aid of the CTRL key, many cannot. To get around this problem, your printer driver has some special features to make it easier to enter these commands.

You can include control characters in your commands by preceding them with a function character. This alerts the printer that what follows the function character (with no spaces) is not literal data and should be interpreted as a control character.

The function character defaults to the caret [^] but you can select a different character. Your choices include the default caret [^], the tilde [~], exclamation mark [!], backslash [\], forward slash [/], and several other characters. If you choose None, then all characters will be sent to the printer literally.

Note: In all of the examples in this topic, a caret [^] is used as the function character. When using a different function character, replace the caret in the examples below with the function character you have selected.

Representing Control Characters

Control characters can be entered into the User Commands of the Options tab by typing the function character (e.g., a caret [^] usually entered with SHIFT-6) and then the letter portion of the desired control character. For example, entering ^X would represent CTRL-X.

You may enter any hexadecimal character value by typing the function character, a number sign [#], and the two digit hexadecimal value of the desired character. The allowable values for each of the hexadecimal characters are the digits 0 through 9 and the letters A through F. For example, the hexadecimal value for the carriage return character is 0D, so if the caret [^] is the function character, a carriage return would be represented by ^#0D.

It is also possible to insert control characters by typing the function character, then a left angle bracket [<], then the standard abbreviation for that character, and, finally, a right angle bracket [>]. For example, ^<ACK> would represent the Acknowledgement character. All of these methods are equivalent and you may use whichever is easiest or most readable.

When inserting printer commands, most printer languages require CR/LF characters at the end of each command. These characters will be appended automatically by the driver. You may suppress this behavior by entering ^- before the command. When using a font to insert commands, CR/LF characters are also inserted automatically between lines. If a single command has been wrapped to multiple lines, you may enter ^& before the command to suppress all intervening CR/LF characters.

Summary of Control Character Syntax

^c | Control character, single character format.
^<ccc> | Control character, abbreviation format.
^#nn | Control character, hexadecimal format.
^?filename | Insert contents of a file.
^& | Suppress CR/LF between lines.
^- | Suppress CR/LF at end of command.
^^ | Specifies a single literal function character.
^" | Disable function character interpretation.

Important: If the manual for your printer says that a given command contains a control character such as ^X, do not enter this by holding down the CTRL key and then pressing "X". Instead, you would literally type in a caret [^] and then an X, as described above. The driver will convert this to the correct control character when sending it to the printer.

Representing the Function Character

Some printer languages may use the function character in the printer command language. If you wish to print the function character in a label, the printer driver requires that you enter two adjacent function characters to represent a single true instance of the character.

For example, if the caret [^] is the function character, entering ^^MD30 would result in these five characters being sent to the printer: ^MD30. However, entering simply ^MD30 would result in only four characters being sent to the printer: the CTRL-M character, followed immediately by the three characters D30. In this last case, your printer will not understand that you really wanted to print the caret followed by the M character and will therefore not deliver the desired results.

If the function character is used frequently in the printer command language, it may be easiest to simply set the function character to something that is not frequently used. Using the previous example, the function character could be changed to the exclamation point [!], and then entering ^MD30 would send the data to the printer literally, since the caret [^] is no longer interpreted as a function character.

You may disable function character interpretation by setting it to None, and all characters will be sent to the printer literally. This setting affects all user-specified printer commands, bar code fonts, and RFID fonts. To disable function character interpretation for the current data only, insert ^" at the beginning of the data.

Inserting the Contents of a File

The user command dialog has a limit of 255 characters per command. Sometimes this is not long enough for the desired user commands. You may specify user commands longer than 255 characters by creating a text file containing the desired printer commands. You may also use this capability to change the contents of the file dynamically from an external program or batch file.

To insert the contents of a file, enter the function character, a question mark [?] and the full path of the file. For example, if the caret [^] is the function character, then to insert the contents of c:\user\mycommand.txt, you would enter ^?c:\user\mycommand.txt. Any function characters present in the inserted file will still be processed.


Driver Options Property Page

Device Line Substitution

  • Enable Substitution. Most applications draw lines as a graphic, rather than using line commands built-in to the printer. With this feature enabled, the driver will use the printer's line commands to draw lines and boxes whenever possible. Some applications do not always print correctly with this feature enabled because it can cause objects to be printed in a different order than intended by the application.

  • Minimum Length. The minimum length a line must be before the driver will substitute it with a printer command. Lines that are very short are usually rendered more efficiently using graphics commands.

Software Compatibility

Note: These options are intended to solve specific problems that can arise with certain applications. The default settings have been chosen to provide maximum compatibility with most applications, and should not be changed unless you have been advised to do so by a support technician.

  • Default Copies. Some programs, particularly old 16-bit applications, do not support specifying the number of copies from within the application. Changing this setting in the driver will cause the printer to print identical copies. Note that nearly all modern applications ignore this setting, and allow specifying copies from within the application.

  • Disable Copies Limit. If your printer has newer firmware than this driver was designed for and you believe the limit on the number of copies is not valid for your printer, checking this box will enable you to exceed the limit. Technical support is not provided when this limit is exceeded.

  • Disable User–Defined Page Size. When you check this box, the default "USER" stock size is not visible on the Page Setup property page.

  • Disable Page Size Sharing. When enabled (checked), only printer-specific stock sizes are displayed in the dropdown list on the Page Setup property page. Otherwise, the dropdown list displays stock sizes that are shared across printers.


Advanced Options Dialog

Passthrough Options Property Page

Passthrough Support

Normally, when an application sends text to a printer driver, the driver translates it into the printer commands required to print that text on the page. Sometimes it is desirable to enter text in the printer's command language, and have that text sent directly to the printer. Sending data in this manner is known as "passthrough", and can be used to send additional configuration commands or print additional fields on the page.

Standard Passthrough Methods

This printer driver supports several different methods of passing commands directly to the printer:

  • User Commands. To send additional configuration commands, you can use User Commands. User Commands are useful for commands that will not change during the print job.

  • Printer Command Font. To send data in the middle of a page, you can use the Printer Command Font. This method allows printing additional fields on the page.

  • PASSTHROUGH Escape. An application can insert data into a job using the PASSTHROUGH mode of the ExtEscape function. Normal configuration and page commands will still be sent; this method is intended to inject additional data into an existing print job. Consult MSDN for details on how to use the ExtEscape function. This method is supported by nearly all printer drivers.

  • Print Spooler API. If an application needs to send commands outside of a print job, or generate the print code for the entire print job itself, the Print Spooler API can be used. The required functions are StartDocPrinter, StartPagePrinter, WritePrinter, EndPagePrinter, and EndDocPrinter. Consult MSDN for details on how to use the WritePrinter function; the documentation describes the required sequence of calls. This method is supported by all printer drivers, since it bypasses the driver completely.

Additional Passthrough Methods

The Standard Passthrough Methods above should be used for passthrough whenever possible. They are reliable and have high performance.

For compatibility with certain legacy applications, some additional passthrough methods are supported. These methods allow passthrough of all text, regardless of which font is selected. However, TrueType text sent to the driver is encoded using "glyph indexing", and the process to convert it back to the original text is much slower than when using one of the Standard Passthrough Methods. For this reason, the Additional Passthrough Methods should only be used when the application cannot be modified to use one of the Standard Passthrough Methods.

  • Passthrough escaped text. When the Starting Escape Sequence is detected, all subsequent text will be sent directly to the printer until the Ending Escape Sequence is encountered.

  • Enable "Generic/Text Only" mode. When this mode is enabled, the driver behaves similar to the standard Windows "Generic/Text Only" driver. All text is passed directly to the printer, and no additional commands are sent. Most driver features no longer have any effect when this mode is enabled. It is recommended that the Print Spooler API be used instead, since it is compatible with other printer features.

  • Add CR/LF after each line. Many printer command languages require carriage return and line feed characters after every command. However, these characters are not actually sent by Windows to the driver at the end of each line; the driver is only aware of the fact that the text position has moved down and to the left. By enabling this feature, the driver will automatically insert CR/LF characters whenever text appears to go to the next line. If this mode is disabled, you must insert any required CR/LF characters manually, using the syntax described below.

Control Characters

Control characters may be entered using the same syntax used for User Commands. If this processing is not desired, the Function Character may be set to None.


Graphics Property Page

Use the options on the Graphics property page to adjust how monochrome and color graphics are printed on your labels.

  • Resolution. Depending on the printer that you are using, one or several resolution settings might be available. Higher resolution levels will improve print quality, but they might take longer to be printed.

Dithering

The Dithering area lists the dithering algorithms that are available for your printer model. Each algorithm specifies a dithering method that is used to print bitmap graphics. These settings affect only bitmap graphics. They do not change the darkness of pure black images or affect non-graphic objects, such as barcodes and internal printer fonts.

For more information about the various dithering algorithms, refer to Dithering.

  • Color Adjustment. Opens the Color Adjustment dialog, which you can use to make adjustments to the color space, such as brightness and contrast levels.

  • Dithering Setup. Opens the Dithering Setup dialog, which you can use to adjust the parameters of the various dithering algorithms. The options in the dialog that opens vary depending on the dithering algorithm that is selected in the Dithering area.

Color

The following features are available only for color printers.

  • Color Control. Specifies whether to print in monochrome or color.

  • Color Matching. Specifies the color-matching algorithm that is used. Image color matching (ICM) is an adjustment that is applied to more accurately match the colors on your screen to the colors on the printed label. To turn off ICM, select None. For more information about this feature, refer to your Windows documentation.

  • Color Registration. Opens the Color Registration dialog, which you can use to align all of the print heads with one another. Some printers support automatic head alignment and do not require any user adjustment.

  • Color Setup. Opens the Color Setup dialog, which you can use to configure settings such as the color model that is used for printing and spot color settings. The options that are available depend on the printer model.


Graphics Property Page (Card Printers)

Graphics Property Page for Card Printers

Use the options on the Graphics property page to adjust how monochrome and color graphics are printed on your cards.

  • Resolution. Depending on the printer that you are using, one or several resolution settings might be available. Higher resolution levels will improve print quality, but they might take longer to be printed.

Ribbon Setup

  • Type. Specifies the type of ribbon that is used to print graphics on either side of the card.

  • Default to black panel for black objects. Specifies the ribbon panels to use for monochrome black objects. When you select this option, the black ribbon panel is used if it is available. Otherwise, a combination of the color panels is used.

  • Overlay Setup. Opens the Overlay Setup dialog, which you can use to specify the position of the overlay varnish on the printed cards. Available for direct-to-card type printers.

  • Inhibitor Panel Setup. Opens the Inhibitor Panel Setup dialog, which you can use to specify the sections of the inhibitor panel that are transferred to a printed card. Available for retransfer-type printers.

  • Advanced. Opens the Advanced Ribbon Setup dialog, where you can specify additional ribbon settings for your card printer.

Monochrome Dithering

The Monochrome Dithering area lists the dithering algorithms that are available for your printer model. Each algorithm specifies a dithering method that is used to print bitmap graphics. These settings affect only bitmap graphics. They do not change the darkness of pure black images or affect non-graphic objects, such as barcodes and internal printer fonts.

For more information about the various dithering algorithms, refer to Dithering.

  • Color Adjustment. Opens the Color Adjustment dialog, which you can use to make adjustments to the color space, such as brightness and contrast levels.

  • Dithering Setup. Opens the Dithering Setup dialog, which you can use to adjust the parameters of the various dithering algorithms. The options in the dialog that opens vary depending on the dithering algorithm that is selected in the Dithering area.


Dithering

Many Windows programs allow you to design with different colors and shades of gray, even if your printer only prints in one color: black. By outputting different black dot-patterns, each color can be translated into what appears to be a different shade of gray on the printer.

Color printers use these settings to reduce images consisting of many colors into the 2, 3, or 4 primary ribbon or ink colors that the printer actually uses when printing.

Dithering Algorithms

  • None. This setting will produce graphics that are composed only of black and white, with no shading effect. This produces a monochrome image with dark areas printing as black, and light areas printing as white. Images will print most quickly using this setting, but may be of poor quality.

  • Halftone. This clustered ordered dithering algorithm produces results similar to the halftone screening used in commercial printing (newspapers and magazines). This algorithm looks best when using high resolution printers.

  • Ordered. This setting uses a dispersed ordered dithering algorithm, which has acceptable quality and speed.

  • Algebraic. The algebraic dithering algorithm offers similar quality and speed as ordered dithering, with a less noticeable patterning effect.

  • Error Diffusion. Error diffusion is a more complex dithering method that avoids the patterned look of ordered or algebraic dithering. This is the highest quality method at lower resolutions, but also the slowest algorithm.

  • Device Dithering. Some color printers have support for more complex dithering methods in the hardware. The driver will default to using this mode if the printer supports this feature.

Halftone Dithering

When using halftone dithering, Windows handles the dithering functions. The Color Adjustment and Dithering Setup dialogs are different than the ones described here. For help with their options, refer to the "What's This?" help inside those dialogs.


Color Adjustment Dialog

These adjustments are only used when dithering bitmap images, and do not affect text or bar codes.

Image

  • Brightness. Brightness is the overall lightness or darkness of an image.

  • Contrast. Contrast is the difference in brightness between the darkest and lightest parts of an image. Increasing the contrast of images will make dark areas darker, and light areas lighter. Decreasing the contrast will make dark areas lighter, and light areas darker.

  • Negative. This option will cause all bitmap images to print negative (white becomes black, black becomes white). To make the entire label negative, use the Negative option on the Page Setup page (not all printers support this feature).

  • Flip Horizontally. This option will flip all images horizontally in place. This is mainly useful if using a simple application without this capability. To flip the entire label horizontally, use the Mirror option on the Page Setup page (not all printers support this feature).

  • Flip Vertically. This option will flip all images vertically in place. This is mainly useful if using a simple application without this capability. To flip the entire label vertically, use the Mirror option at 180° orientation on the Page Setup page (not all printers support this feature).

Color Balance

  • Red. When printing monochrome, this will affect how bright red areas will appear after the image is dithered. When printing color, increasing and decreasing this level will make images appear more red or more cyan respectively.

  • Green. When printing monochrome, this will affect how bright green areas will appear after the image is dithered. When printing color, increasing and decreasing this level will make images appear more green or more magenta respectively.

  • Blue. When printing monochrome, this will affect how bright blue areas will appear after the image is dithered. When printing color, increasing and decreasing this level will make images appear more blue or more yellow respectively.


Dithering Setup Dialog

When you click Dithering Setup on the Graphics property page, a dialog opens that you can use to make advanced adjustments to the dithering algorithm as needed. Typically, the default settings are suitable for most purposes.

The options that are available in the dialog depend on the dithering algorithm that is selected in the Dithering area of the Graphics property page, as follows.

Halftone

When Halftone is selected on the Graphics property page, the dialog that opens is called either Device Color/Halftone Properties or Dithering Setup, depending on the printer manufacturer.

Device Color/Halftone Properties
  • Halftone Pattern. Specifies the halftone pattern.

  • Device Gamma. Adjusts the printer's gamma correction, which controls the brightness of an image.

  • Pixel Diameter. Adjusts the pixel diameter, which affects the print size of the image.

  • Luminance (CIE Y). Adjusts the luminance, which affects the whiteness of the image.

  • Cancel. Closes the dialog without saving your changes.

  • Revert. Reverts your changes.

  • Default. Restores the default settings.

Dithering Setup
  • Algorithm. Specifies the halftone matrix. By default, the best matrix for the printer’s resolution is automatically chosen. When you change this matrix size, the size of the apparent halftone screen and the number of apparent shades of gray are changed.

Ordered

When Ordered is selected on the Graphics property page, the dialog that opens includes the following setting:

  • Algorithm. Specifies the dithering matrix. By default, the best matrix is automatically chosen. When you decrease this matrix size, the number of apparent shades of gray is reduced.

Algebraic

When Algebraic is selected on the Graphics property page, the dialog that opens includes the following setting:

  • Algorithm. Specifies the dithering parameters. When you change the parameters, the number of apparent shades of gray is changed.

Error Diffusion

When Error Diffusion is selected on the Graphics property page, the dialog that opens includes the following setting:

  • Algorithm. Specifies the diffusion matrix. By default, the Floyd-Steinberg matrix is selected. The other options are Burkes, Jarvis, Sierra, and Stucki.


Overlay Setup Dialog

The options on the Overlay Setup dialog allow you to specify the position of the overlay varnish on the printed cards.

  • Overlay Coverage. Used to specify the region of the card where an overlay varnish will be applied. The overlay varnish can be applied to the entire card or specified parts of the card, such as the magnetic stripe or RFID tag. If none of the predefined options work for you, select Custom Region to specify custom settings.

Custom Region

These settings define the position of the overlay varnish when Custom Region is selected for Overlay Coverage.

  • Left. Used to specify how far from the left edge of the card to begin applying the varnish.

  • Top. Used to specify how far from the top edge of the card to begin applying the varnish.

  • Width. Used to specify the width of the custom overlay region.

  • Height. Used to specify the height of the custom overlay region.

  • Invert Region. Used to specify that the area outside of the custom region will contain overlay varnish, while the areas contained inside the specified region will not.


Fonts Property Page

The Fonts property page allows you to perform various operations involving printer fonts. From this dialog, you may download fonts, and manage bar code and RFID fonts.

All functions are accessed using drop-down menus, accessible by clicking the buttons at the top of the page. Below the list of fonts, an information panel displays additional properties of the currently selected font(s). All operations involving downloaded fonts take effect immediately, and cannot be undone by clicking the Cancel button. Changes to other types of fonts will not take effect until the dialog is closed by clicking OK.

Font

  • Download Font. Displays the Download Font Dialog. Downloading a TrueType font to the printer will allow that font to be used like any other printer font. Text will be sent using device commands rather than as a graphic, which speeds up the print job significantly.

  • New Optional Font. Displays the Add Optional Font Dialog, which allows the creation of optional fonts.

  • New User-Defined Optional Font. Displays the User-Defined Optional Font Dialog, which allows the creation of user-defined optional fonts.

  • New Font Substitution. Displays the Font Substitution Dialog, which allows the substitution of printer-resident fonts for screen fonts.

  • New Bar Code Font. Displays the Bar Code Font Dialog, which allows the creation of a font to provide bar coding functionality within standard Windows applications.

  • New Magnetic Stripe Font. Displays the Magnetic Stripe Font Dialog, which allows the creation of a font to provide magnetic stripe functionality within standard Windows applications.

  • New RFID Font. Displays the RFID Font Dialog, which allows the creation of a font to provide RFID functionality within standard Windows applications.

  • Edit. Allows editing the characteristics of the currently selected font. Downloaded fonts may not be modified once downloaded; to change the characteristics of a downloaded font, delete the font, and download a new font with the desired characteristics.

  • Delete. Deletes a font that is no longer needed. Downloaded fonts are only removed from the printer's memory, not from the computer, and may be downloaded again when needed.

View

The view menu is used to choose which types of fonts should be displayed in the list. Printer Fonts are not normally displayed, since the list may be very large, but you can enable them to obtain more information about the internal fonts in the printer. Printer Fonts also include any fonts enabled by Installed Features, if your printer supports additional font options.

Tools

  • Verify Downloaded Fonts. Verifies that all downloaded fonts are actually stored in the printer. The status of the font will be displayed in the Status column. Bidirectional communications with the printer are required to verify fonts. Not all printers support this feature.

  • Resend Downloaded Fonts. Clicking this option button will resend all fonts downloaded to the printer. This is particularly useful with printers without flash memory, as these printers will lose all stored fonts when the printer is turned off. This may also be needed after performing certain maintenance procedures that reset the printer settings or clear the memory.

  • Font Settings. These options control which fonts are available to applications, and how they are listed.

  • Installed Features. Displays the Installed Features dialog, if the printer has any optional features that may be installed. Some printers support additional font options which may be enabled in this dialog.

  • Driver Options. This dialog contains advanced driver options such as importing and exporting driver settings and controlling the sharing of driver settings over a network.

See Also

Understanding Fonts


Understanding Fonts

Printer Fonts vs. TrueType Fonts

Many printers come with certain fonts built into the printer. Using these built-in fonts instead of TrueType fonts will increase print speed. Since the selection of built-in fonts is very limited, some printers also support downloading TrueType fonts.

Printing TrueType Fonts as Graphics

When you print TrueType fonts from within a Windows program without first downloading the fonts, the driver creates a bitmap image of the desired font images and sends that to the printer. Depending on the size of the font(s) and the number of characters to be printed, the amount of graphics generated can take a long time to send to the printer, especially if you are using a slow connection such as RS-232 serial.

Downloading TrueType Fonts Prior to Print Time

To avoid the time-consuming process of printing fonts as bitmaps, some printers allow downloading TrueType fonts to the printer. Once the TrueType font is stored in the printer, subsequent print jobs can use the font as quickly as any font built-in to the printer. Although the process of downloading a font can take a considerable amount of time with slower connections, actual printing speed is greatly improved since much less information is being transmitted to the printer during the print jobs.


Download Font Dialog

This dialog presents a list of the Windows fonts that may be downloaded to your printer. In order to download a font to the printer, that font must be installed in the Windows directory. If you wish to download a font that is not listed, install the font from the Fonts folder in the Control Panel.

Not all printers are capable of using any character set with a downloaded font. In particular, symbol fonts such as Wingdings are not supported properly by most printers when downloaded as scalable fonts.

Select Font

  • Download Format. Select the format in which the font is to be downloaded. For more information see Scalable vs. Bitmap Downloading.

  • Font. Select the font you wish to download from this list.

  • Font Style. Select the style of the font you wish to download. Variants such as bold and italic are considered separate fonts for the purpose of font matching. If you wish to use multiple styles of the same font, you must download them all separately.

  • Size. If you are downloading a font as a bitmap, you must select a point size you wish to download. If you require more than one point size, you must download it separately. Sizes may be set in tenth of a point increments.

  • Scale. Some applications allow horizontally scaling fonts. A font downloaded as scalable may be used at any horizontal scaling factor. If you are downloading a font as a bitmap, you must select a specific horizontal scale factor. If you require more than one scale factor, you must download them separately.

  • Character Set. When downloading a bitmap font, you may choose to download all of the characters, or only a subset of available characters, such as alphanumeric or numeric characters. Downloading fewer characters will conserve printer memory, but when this font is printed, any characters that were not downloaded will not print. User defined character sets can also be created by selecting the Modify button.

  • Preview. Previews the selected font.

Font Storage

  • Location. This control is used to select the location where the font will be stored in printer memory. The available locations depend on the printer model. For more information, consult your printer documentation. Click the Advanced button to access additional font location settings such as the file name or ID used to store the font in the printer. These settings are managed automatically and should not need to be modified.

Once you have selected the font you wish to download, click OK. The driver will begin downloading the font to the printer, and you will be returned to the Fonts Property Page.

Note: This software provides the user with the capability to download TrueType fonts to the printer. However, it is your responsibility to license and purchase the fonts you download to your printer. Contact your font supplier for licensing information.


Font Storage Location

Font Storage Location Dialog

This dialog provides additional control over the font storage location. The driver automatically manages these settings and they do not need to be modified unless you require exact control over the parameters used to download the font. Not all of these values are used by all printers. For more information on the parameters supportedy by your printer, consult the printer's programming documentation.

It is not recommended you modify these values unless you have very specific requirements and thoroughly understand the printer's programming language. Although the driver does some validation on the supplied values, it may be possible to enter duplicate names or names containing invalid characters, which would never occur using the automatically managed settings.

Storage Location

  • Location. This control is used to select the location where the font will be stored in printer memory.

  • Font ID. This control is used to select the ID the printer uses to access the font. The syntax of the ID and the valid ranges vary from printer to printer.

  • Font Name. You may specify the name used to store the font in printer memory with this control. The syntax of the name varies from printer to printer.

  • Font Path. The fully qualified path name used to store the font in printer memory may be specified with this control. The syntax of the path varies from printer to printer.


Modify Character Set

Modify Character Set Dialog

This dialog allows customizing the set of characters downloaded to the printer. There are two primary uses for this feature:

1. If not all of the characters in the standard character set are required, downloading only the needed characters can save printer memory. If for example only numbers are required, downloading only the digits 0-9 can save a considerable amount of printer memory.

2. In certain cases, a specific symbol that exists in the Unicode character set is not available in any standard character set. Examples include various currency, chemical, and mathematical symbols such as subscripts and superscripts. Using a Unicode TrueType font that contains the required symbols, it is possible to replace unused characters with the required symbols.

Individual characters in a character set can be selected, unselected or replaced with any Unicode character. Modifying an existing character set creates a new user defined character set. User defined character sets can be given a name, saved and recalled. Only one user defined character set may be in use at one time.

Available Characters

The character map displays the characters supported in the currently selected character set. Characters that will not be downloaded appear dimmed relative to the selected characters. Click the left mouse button on a character to toggle whether or not it is downloaded. Click the right mouse button on a character to display the Modify Character dialog which can be used to substitute any Unicode character for the current character.

  • Subset. Selecting one of the standard character subsets will cause only those specific characters to be downloaded, which can be helpful if the printer has limited memory.

  • File. It can be very time consuming to create a custom character set, so it is recommended that the character set be saved to a file using this control.


Scalable vs. Bitmap Downloading

There are two methods of downloading Windows fonts to the printer. You may download the font as a scalable font, which contains all the information necessary to generate the font at any point size, or you may download it as a bitmap font, which includes only a single point size. The differences are outlined below.

Downloading Fonts in Scalable Format

Some printers have the capability to download scalable fonts (TrueType or PostScript). When you download a font as a scalable font file, the printer is able to print the font at any point size. This format may use a lot of memory in the printer, but in your applications, all point sizes of the downloaded font will print more quickly.

Downloading Fonts in Bitmap Format

Some printers have the capability to use downloaded bitmap fonts. A bitmap font is a font that is pre-rendered at a specific point size, and you are required to choose this point size when downloading the font. The driver is able to print at multiples of this size, although output quality of fonts is not very good at large magnifications.

You also have the capability to download only a specific set of characters. If only numeric or alphanumeric characters are required, then you may download only those characters, conserving printer memory. If more than one point size of a specific font is required, you must download each size you plan to use.

Choosing the Best Download Format

Many printers support only one method of downloading fonts, but for those that support both, you should consider the advantages of each method before downloading the font.

  • Point Sizes. Scalable fonts are capable of scaling to any point size smoothly, whereas bitmap fonts contain one size only. It is possible to download several point sizes of the same font as a bitmap so that each size may be printed at high quality, but if many different sizes are necessary, downloading scalable fonts will use less memory.

  • Memory Considerations. Bitmap fonts use less printer memory, especially when only the necessary characters (such as numeric characters) are downloaded. Scalable fonts can be very large, often including characters from many different languages that you may never use.

  • Speed Considerations. Bitmap fonts may print a little faster on some printers than scalable fonts, although using scalable fonts is still much faster than not downloading the font at all.

  • Character Sets. Some printers do not support all character sets when downloading as scalable. To use symbol fonts or character sets not directly supported by Windows, it may be necessary to download the font as a bitmap font.

Caution: The amount of memory in your printer limits the number of fonts you can actually store. If you load too many fonts into the printer’s memory, you may not have enough for normal printing operation.


Add Optional Font Dialog

This dialog is used to enable support for optional fonts you may have installed in your printer. These fonts are typically provided on memory cards or downloaded to the printer's internal memory using a utility provided by your printer manufacturer. After adding an optional font, it will behave like any other printer-resident font.

The optional fonts listed are those natively supported by the driver. The font metrics and character set information does not have to be provided by the user. It may be necessary to change the location of the font to match the storage location of the font file in the printer's memory, which may depend on how the font was installed.

If you do not find the optional font in the list of predefined fonts, you may add a user-defined optional font by selecting "<User>" as the provider and then clicking the "User-Defined Font Properties..." button. (It is also possible to create a user-defined font directly from the Fonts page by selecting New User-Defined Optional Font.)

  • Font Provider. Select the provider of the optional font (this is typically the printer manfacturer, but may be a third-party provider).

  • Optional Font. Choose a font from the choices offered by the selected provider.

  • Font Properties. Properties of the optional font are displayed here.

  • Change Location. The location of the font can be changed by selecting the Change Location button.


User-Defined Optional Font Dialog

This dialog allows the addition of user-defined optional fonts to your printer. These fonts may be provided on memory cards or may have been downloaded to the printer's internal memory. After defining the optional font, it can be used like any other printer-resident font.

Optional fonts added with this dialog are user-defined, meaning that the font metrics are unknown and must be provided by the user for accurate rendering of the font.

Printer Font Properties

Values entered in the following controls must match the values of the optional font resident in the printer's memory.

  • Font Type. Select whether the font is a scalable or bitmap font.

  • Primary Script. For scalable fonts, choose the primary language of the font.

  • Character Set. For bitmap fonts, choose the character set of the font. If necessary, a custom character set may be created to better match the actual printer font by selecting the Modify button.

  • Point Size. For bitmap fonts, select the point size of the font. Point sizes may be entered in tenths of a point.

  • Location. Select the font's location in the printer's memory.

  • Font ID. If required, enter the font's ID.

  • File Name. If required, enter the name of the font file.

Application Font Properties

These controls determine how the optional font is listed and displayed in applications.

  • Font Name. Enter the name for the font which will be listed in applications.

  • Description. You may enter a description for the font. This is optional, and is only displayed in the driver's user interface.

  • Display Font. Select the font to use as the display font on screen in the application. To change the display font, click the Select button. Currently, this feature only works in BarTender; other applications ignore this setting.

Metrics Adjustment

  • Horizontal Ratio The horizontal ratio of the printed text can be adusted using this control. By adjusting the horizontal ratio, the size of the printed text can be made to more closely match the screen font.


Font Substitution Dialog

Screen fonts are normally sent to the printer as graphics unless they have been previously downloaded to the printer. The number of fonts that may be downloaded is limited by printer memory, and some printers do not even support downloading fonts.

This dialog allows you to substitute screen fonts with printer-resident fonts. This will achieve the faster print speeds of resident fonts without requiring you to alter your existing documents or download any fonts. This feature can also be used to design generic documents that can print on multiple printer families.

Font Substitution

  • Screen Font (source). Select a screen font that you wish to substitute with a printer font. TrueType, OpenType and PostScript screen fonts are supported. A preview of the selected screen font is displayed below.

  • Printer Font (target). Select the printer font you wish to substitute for the source font. In general, you should choose the printer font that most closely resembles the screen font. The printer font may be either a bitmap or scalable font. Scalable fonts are generally better to use when substituting since they may scale to any point size. When substituting a screen font with a bitmap font, the driver will choose the closest available size, which in some cases may differ greatly from the desired point size.

Font Substitution Metrics

Click the Metrics... button to display a dialog which will allow the horizontal and vertical metrics of the substituted font to be adjusted. Adjusting these values will change the size of the printed (target) font to more closely match the size displayed on the screen. (For bitmap fonts, these changes are rather imprecise, and may only be noticable at large point sizes.)

The driver automatically calculates the ratio between the screen font size and printer font size. The default values should be normally be correct and not require adjustment.

  • Horizontal Ratio. Changing this value will change the width of the printed font with respect to the screen font. Larger values will print wider text.

  • Vertical Ratio. Changing this value will change the height of the printed font with respect to the screen font. Larger values will print taller text.

  • Reset to Defaults. Click this button to reset the horizontal and vertical ratios back to the default values automatically calculated by the driver.


Bar Code Font

Most thermal printers have internal support for many different barcode symbologies. Typically, Windows applications cannot access these barcodes directly. However, it is possible to create an artificial font that represents a barcode, and then this font will be listed and can be selected within any Windows application that supports printer fonts. At print time, the driver converts the font to the specified barcode.

You can use the Fonts Property Page to add, delete, modify, and view barcode fonts. These fonts are then listed in many Windows applications that typically do not support the printing of barcodes. Although the fonts will not appear as barcodes on the screen, they are printed as barcodes. You can create an unlimited number of barcode fonts, each of which can have different barcode parameters.

Some symbologies have minimum and maximum data lengths or accept only certain characters. The driver will filter, format, and add necessary characters to barcodes before they are printed. For symbologies that support control characters, you can enter them by using the same syntax as is used for user commands.

Not all applications are compatible with barcode fonts. If you encounter problems when you use barcode fonts, we recommend that you consider using a dedicated barcoding application.

Font

  • Font Name. Specifies the name that will appear in the font list.

  • Encoding. Specifies the character set for the font. Not all symbologies support international characters, and the reader must be configured to correctly decode the data by using the correct character set.

  • Join Multiple Lines. Specifies that multiple lines that use the same font are combined into a single barcode. This allows paragraph text to be encoded into a barcode. When this setting is not selected, each row of text generates a separate barcode.

  • Width. Specifies the relative width of characters on screen. Narrower characters can be used to fit more data in a smaller space. Note that this setting has no effect on the size of the printed barcode. It affects only the on-screen representation of the text.

Bar Code Options

  • Symbology. Specifies the barcode symbology. The symbology is the encoding scheme that is used to convert character data into the pattern of wide and narrow bars and spaces in a barcode. Printers can output barcodes in different symbologies.

  • X dimension. Specifies the X dimension (the width of the narrowest element) of the symbol. Some symbologies, such as postal codes, do not allow modification of the X dimension.

  • Orientation. Specifies the orientation of a barcode on the label. You can rotate the barcode in 90-degree increments.

  • Human Readable. Specifies whether a human readable representation of the data is displayed above the barcode, below the barcode, or not at all. Most two-dimensional (2-D) symbologies do not support human readable characters.

  • Ratio. Specifies the ratio between the widths of the wide and narrow elements in a barcode. When you use the default ratio setting of Auto, the printer driver determines an optimal ratio. For symbologies that support ratio adjustment, you can manually specify any ratio from 2.0-to-1 through 3.0-to-1, in one-tenth increments.

Symbology Specific Options

In the Symbology Specific Options area, additional options might be available, depending on which barcode symbology is selected. For more information about these symbology-specific options, click your symbology in the following list.

Codabar

  • Start Character. Specifies which of four characters ("a", "b", "c", or "d") you want to use as the start character. The default setting is "a".

  • Stop Character. Specifies which of four characters ("a", "b", "c", or "d") you want to use as the stop character. The default setting is "a".

Code 39

  • Check Digit. Specifies whether check digits are added to your barcodes.

Code 128

  • GS1-128. Specifies that the driver automatically inserts a FNC1 character immediately following the Code 128 start character at the beginning of the barcode. The FNC1 character indicates that the rest of the symbol code complies with the GS1 distribution standards.

  • Code Set. Specifies the code set to use.

About Code Sets

Although any given Code 128 character set contains only 102 characters, it can encode all 128 ASCII characters. This is possible because Code 128 supports three different sets of 102 characters. The default character set that is used for any Code 128 barcode is determined by the start character, and it is possible to switch to one or more different character sets in the middle of the barcode. Because it is therefore possible to use any combination of the three character sets in a single barcode, Code 128 gives you the greatest possible character density.

The following table describes the characters that are included in the various code sets.

Code set | Included characters
A | The full ASCII set except for the 26 lowercase letters and the characters `, {, |, }, ~, and <DEL>. Also includes the special characters FNC1, FNC2, FNC3, and FNC4.
B | The full ASCII set except for the 32 control characters. Also includes the special characters FNC1, FNC2, FNC3, and FNC4.
C | Double-density numeric. This character set is numeric only, but any one barcode character actually represents two digits. Therefore, 100 of the 102 characters in code set C are used to represent the 100 two-character combinations from 00 through 99. Also includes the special character FNC1.

The default setting for the Code Set option is Auto. This setting specifies that the driver automatically chooses the most efficient code set with which to begin the barcode and then automatically switches between character sets if and when doing so will reduce the overall size of the barcode.

Auto A is similar to Auto, but when the first character could be encoded in either code set A or B, the Auto setting starts in code set B, and the Auto A setting starts in code set A.

Using Manual Code Set Selection

Some applications might require a very specific encoding method. When you select the Manual code set option, the following code set selectors are available.

Selector | Purpose
^A or ^a | Switch to code set A. If no selector is found at the start of the string, code set A is used if the first character is a control character.
^B or ^b | Switch to code set B. If no selector is found at the start of the string, code set B is used unless the first character is a control character.
^C or ^c | Switch to code set C.
^S or ^s | Shift the code set for the next character only (from A to B, or from B to A).

When you use manual encoding, characters that are not supported by the current code set are removed. The code set is never changed automatically. Manual code set selection is not supported by all printer models.

Note that if the function character is set to a caret (^), the ^A, ^B, ^C, and ^S selectors are interpreted as control characters. In this case, you can change the function character to a different symbol or use a double caret (such as ^^A). The lowercase selectors are provided as an alternative; they are not interpreted as control characters.

Entering Function Characters in the GS1-128 Data String

When you combine multiple GS1 Application Identifiers (AIs) and their data strings into a single barcode, you might need to add a FNC1 character as a separator between two data strings. Occasionally, the specifications for an AI require that other function characters be entered into the barcode data string as well.

To manually enter a function character into a GS1 data string, enter the caret (^) character followed immediately by the appropriate number for the function character. For example, enter "^1" for the FNC1 character.

Data Matrix

  • Symbol Type. Specifies the symbol type, which also determines the type of error correction to use.

    The Data Matrix symbology supports error correction by encoding enough redundant information into the printed symbol to allow the scanner to detect and correct errors.

    The ECC 200 symbol type automatically uses the recommended level of error correction. However, this standard is not supported by all printers and scanners. If ECC 200 is not available, ECC 140 provides the best error correction, although a significantly larger symbol is printed. To reduce the symbol size, you can use a lower error correction level.

  • Character Set. Specifies the character set to use. This option is available when you select a Symbol Type setting that is other than ECC 200.

    The ECC 200 symbol type automatically determines the required character set by evaluating your data. You might be able to reduce the symbol size by manually specifying a character set, depending on the amount and type of data that your barcode contains.

    The following options are available:

    • Auto. Specifies that the driver evaluates the data for the barcode and determines the optimal character set.

    • Numeric (0-9) with Spaces. Specifies that only numbers and space characters are considered to be valid data.

    • Uppercase Alphabetic with Spaces. Specifies that only uppercase letters and space characters are considered to be valid data.

    • Uppercase Alphanumeric with Punctuation. Specifies that only uppercase letters, numbers, and punctuation are considered to be valid data.

    • Uppercase Alphanumeric with Spaces. Specifies that only uppercase letters, numbers, and space characters are considered to be valid data.

    • Full 128 ASCII. Specifies that all ASCII characters, including upper and lowercase letters, numbers, and symbols, are considered to be valid data.

    • All 256 ASCII. Specifies that all 256 binary characters, including all keyboard characters and international characters, are considered to be valid data.

  • Use Prefix. Specifies that a prefix is added. This option is available only for the ECC 200 symbol type.

    The following options are available:

    • GS1 FNC1. Specifies that a GS1 FNC1 prefix is added.

    • Macro: 5. Specifies that the 05 Macro header (prefix) and trailer (suffix) are abbreviated into one symbol character to reduce the number of symbol characters that are needed to encode data.

    • Macro: 6. Specifies that the 06 Macro header (prefix) and trailer (suffix) are abbreviated into one symbol character to reduce the number of symbol characters that are needed to encode data.

    • Reader Initialization. Specifies that the symbol encodes a message that is used to program the reader system.

    Note: If you specify a special function character (such as FNC1 through FNC6) at the beginning of your barcode data and the Use Prefix option is selected, the prefix that is specified in the driver is ignored in favor of the special function character that is located in your data. For more information about special function characters, refer to your Data Matrix documentation.

  • Shape. Specifies the shape of the barcode symbol.

    The following options are available:

    • Square. Specifies that the barcode symbol has an equal number of columns and rows. Twenty-four square barcode symbols are available, ranging in size from eight columns and rows to twenty-two columns and rows.

    • Rectangle. Specifies that the barcode symbol has more columns than rows. Six rectangle barcode symbols are available, ranging in size from six rows by sixteen columns to fourteen rows by twenty-two columns. To use this setting, the amount of data must be small. If the amount of input data is larger than will fit into the defined rectangle sizes, the barcode symbol is printed as a square.

  • White On Black. Specifies that the symbol is displayed and printed as white on a black background. The black background is wide enough on all sides to fill the quiet zone.

EAN/JAN/UPC

  • Guard Bar Height. Specifies the height of the guard bars, which are bars that extend below the main body of the symbol.

    In a "standard" full-sized barcode, the main body of the barcode is .900 inches tall, and the guard bars extend another .065 inches. If your barcodes are of a different height, you might need to adjust the overhang of the guard bars to keep them correctly proportioned relative to the rest of the barcode and to the human readable text below the barcode.

  • Supplemental. Specifies that the main EAN/JAN/UPC barcode is followed by a shorter 2-digit or 5-digit supplemental barcode immediately to the right of the main barcode. Most of the characteristics of this supplemental barcode (such as its density, height, and position) are based on the characteristics of the main EAN/JAN/UPC barcode that precedes it.

    When you select the Auto option, the printer driver automatically takes the required number of digits (2 or 5) from the right side of the data string and prints them as your supplemental barcode. The remaining digits in your data string are printed as the main EAN/JAN/UPC barcode. If the data string does not have enough digits left over to print a complete main EAN/JAN/UPC bar code, the driver pads the left side of the main EAN/JAN/UPC barcode with leading zeros.

GS1

The options that are available depend on the GS1 symbology that you select.

  • Type. Specifies the type of the symbol.

  • Segments Per Row. Specifies the number of segments per row for a GS1 DataBar Expanded Stacked symbol.

Interleaved 2-of-5

  • Check Digit. Specifies whether check digits are added to your barcodes.

Japanese 4-State Customer Code

  • Type. Specifies the priority type: normal priority (Customer Bar Code) and highest priority (Highest Priority Customer Bar Code).

MaxiCode

MaxiCode consists of a bullseye pattern of three concentric black circles in the center and 33 alternating rows of either 29 or 30 hexagonal elements per row. It can encode up to a maximum of 93 characters of data.

  • Mode. Specifies the mode to use. Four different data modes are available, as described in the following list. Modes 2 and 3 must conform to the Structured Carrier Message format to work correctly. Modes 4 and 6 can contain any type of information.

    • Mode 2: Structured Carrier Message. Used for UPS domestic shipping in the United States.

    • Mode 3: Structured Carrier Message. Used for UPS international shipping.

    • Mode 4: Standard Symbol. Used for general purpose data storage.

    • Mode 6: Reader Programming. Used to program scanners that can be programmed by scanning a barcode. Consult your scanner's documentation for the information and codes that are needed.

  • Zipper Block. Specifies whether a MaxiCode zipper block is printed with the barcode.

  • Contrast Block. Specifies whether a MaxiCode contrast block is printed with the barcode.

About Structured Carrier Message Format

When you use mode 2 or 3, the data must be formatted as a Structured Carrier Message. This format contains several control characters, such as «GS», «RS», and «EOT». You can enter these characters by using the same syntax that is used for user commands (for example, ^<GS>).

Alternatively, the MaxiCode barcode font supports a simplified syntax that uses semicolons to separate the fields. When you use this syntax, the required message header and footer are automatically added to the data, and all semicolons are replaced with the required «GS» separator.

The following is an example of a Structured Carrier Message for mode 2. In this example, the optional "Shipment ID Number" and "Ship To Address" fields have been omitted:

98005;840;001;1Z00001234;UPSN;06X610;096;;1/3;18;N;;BELLEVUE;WA

About Structured Carrier Message Fields

The following table describes the Structured Carrier Message fields.

Field | Format | Required
Postal Code | Mode 2: Five or nine numeric digits; Mode 3: Six alphanumeric characters | Yes
Country Code | Three numeric digits | Yes
Class of Service | Three numeric digits | Yes
Tracking Number | Ten or eleven alphanumeric characters | No
SCAC |  | No
Shipper Number | Six alphanumeric characters | No
Day of Pickup | Three numeric digits (Julian Date) | No
Shipment ID Number | One to 30 alphanumeric characters | No
Package | One to seven alphanumeric characters | No
Package Weight | One to three numeric characters | No
Address Validation | "Y" or "N" | No
Ship To Address | One to 35 alphanumeric characters | No
Ship To City | One to 20 alphanumeric characters | No
Ship To State | Two alphabetic characters | No

MicroPDF417

  • Row Height. Specifies the height of each row in multiples of the X dimension.

  • Columns. Specifies the number of columns. When you set this option to Auto, the numbers of rows and columns are automatically adjusted so that the overall symbol shape is as close to a square as possible.

  • Rows. Specifies the number of rows.

Micro QR Code

  • Use Prefix. Specifies that the GS1 FNC1 prefix is added to the symbol. Use this option when the rest of the barcode data conforms to GS1 specifications.

  • Mask. Specifies the mask scheme to use.

    Many barcodes are read less reliably when there are broad areas of all-light or all-dark modules or when a pattern of modules duplicates the position detection pattern that is located in three corners of the barcode. To resolve this issue, Micro QR Code can mask a hard-to-read symbol with an easier-to-read symbol that can be read and translated to the original barcode data.

    We strongly recommend that you use the default setting of Auto. When you do this, the most readable mask is automatically selected according to the symbology specification.

  • Start Mode. Specifies the character set that is used for the start mode. It is possible to switch between modes in a single barcode symbol.

  • Error Correction. Specifies the error correction level to use. Each level specifies the percentage of the barcode symbol that can be damaged while still remaining readable by a scanner.

MSI Plessey

  • Check Digit. Specifies whether check digits are added to your barcodes.

PDF417

  • Correction Level. Specifies the error correction level to use.

    The PDF417 symbology can encode such large amounts of information that the possibility of a decoding error occurring during scanning is higher than with linear barcodes. Accordingly, the use of simple check digits is not sufficient, so the PDF417 symbology employs error correction. Error correction works by encoding enough redundant information into the printed symbol that the scanner not only detects when errors have occurred but can correct these errors.

    PDF417 supports nine error correction levels, with 0 being the least thorough and 8 being the most. When the correction level is set to 0, very little redundant information is encoded, and the scanner can do little more than correct for the very simplest of errors. When the correction level is set to 8, significant scanning problems can be corrected. Note that increasing the level of error correction also increases the size of the printed PDF417 symbol.

  • Truncated. Specifies that a single vertical bar is substituted for the stop pattern on the right-hand side of the symbol and the data column that contains the rightmost four bars in the data area.

    Use this option when the available space for the printed PDF417 symbol is at an absolute premium and when it is acceptable to sacrifice some information even though the symbol might then be somewhat harder to read. Although using this option saves space, it is not typically recommended and certainly should not be used unless you know that the print quality and the scanning equipment to be used are all under your control.

  • Row Height. Specifies the height of the rows in multiples of the X dimension.

    By default, the row height is set to three times the X dimension value. If you are using a correction level of no less than the minimum that is recommended in the PDF417 symbol specification standards for the amount of data to be encoded, or if you are using the Auto correction level, then the default Row Height setting is adequate. If, however, you are manually specifying a correction level of less than what is recommended for the amount of data to be encoded, we recommend that you increase the row height above the minimum.

  • Columns. Specifies the number of columns.

    When this option is set to Auto, the number of rows and columns in the data area is automatically adjusted so that the symbol shape is as close to a square as possible. You can also manually specify the number of columns that you want in the data area.

QR Code

  • Model. Specifies the model to use. A Model 1 symbol can range in size from 21 x 21 modules to 73 x 73 modules. A Model 2 symbol can range in size from 21 x 21 modules to 177 X 177 modules.

  • Use Prefix. Specifies that the GS1 FNC1 prefix is added to the symbol. Use this option when the rest of the barcode data conforms to GS1 specifications.

  • Mask. Specifies the mask scheme to use.

    Many barcodes are read less reliably when there are broad areas of all-light or all-dark modules or when a pattern of modules duplicates the position detection pattern that is located in three corners of the barcode. To resolve this issue, QR Code can mask a hard-to-read symbol with an easier-to-read symbol that can be read and translated to the original barcode data.

    We strongly recommend that you use the default setting of Auto. When you do this, the most readable mask is automatically selected according to the symbology specification.

  • Start Mode. Specifies the character set that is used for the start mode. It is possible to switch between modes in a single barcode symbol.

  • Error Correction. Specifies the error correction level to use. Each level specifies the percentage of the barcode symbol that can be damaged while still remaining readable by a scanner.


Bar Code Check Digit

The Check Digit option on the Edit Bar Code Font property page allows you to specify whether or not check digits will be added to your bar codes. A check digit is an optional character that can be appended to the end of a bar code for the purposes of error checking.

Why Check Digits Are Used

Although automated data entry with a bar code reader is many times more reliable than manual data entry with a keyboard, the possibility of decoding errors can never be statistically eliminated. For example, a sudden jerk in a user's scanning motion or a printing defect in a bar code can cause a "substitution error" to occur. In situations where a substitution error might catastrophically affect the integrity of your database, the use of "check digits" is strongly recommended.

While check digits do not completely eliminate the possibility of substitution errors, they do reduce their likelihood even further, thereby improving data integrity.

  • Substitution Error. An error that occurs when one or more of the characters in the bar code message transmitted to the computer is different from what was actually encoded into the bar code.

  • Check Digit. An extra character appended to the end of a bar code whose value is derived from the sum (or weighted sum) of the values of the previous characters in the bar code.

How Check Digits Work

When a bar code reader that is configured to look for check digits scans a bar code which contains a check digit, it re-performs the same summation that was done by the Bar Tender when the check digit was originally generated. The bar code reader then compares its computed check sum value with that of the check digit that was printed by the Bar Tender. If the two values agree, the bar code reader transmits the bar code message. However, if the two values are different, the bar code reader knows that an error has occurred and no bar code characters are transmitted. The user must scan the bar code message again.

Symbology-Specific Information for Check Digits

The Code 93, Code 128, and UPC/EAN symbologies are always printed with check digits. Therefore, when these symbologies are specified for the currently selected bar code, the Check Digit option will be checked but grayed.


Bar Code X Dimension

The X Dimension option on the Edit Bar Code Font property page allows you to specify the most basic element of a bar code - the width of its narrowest element. The width of this narrow element is called the bar code's X dimension. Along with a bar code's wide-to-narrow element ratio, the X dimension is one of the factors that determine the density of a bar code. Decreasing a bar code's X dimension value increases its density, while increasing the X dimension value decreases its density.

Example:

Assume that you are printing a Code 3-of-9 bar code (with its Ratio option set to "Auto") to a 300 dpi printer. The lowest X dimension value that you will be able to specify is 5.0 mil. With an X dimension value of 5.0 mil, the density of your bar code will be 12.5 characters per inch (cpi), which is the highest density setting you can specify.

On the other hand, the highest X dimension value that you will be able to specify is 168.3 mil, which will give you a density of .416 cpi (the lowest density setting you can specify).


Magnetic Stripe Font

Most card printers have internal support for magnetic stripes. Most Windows applications are unable to access magnetic stripe capabilities directly. However, it is possible to create an artificial font that represents the magnetic stripe, and then this font will be listed and can be selected within any Windows application that supports printer fonts. At print time, the text is converted by the driver into the data needed to encode the magnetic stripe.

The Fonts Property Page allows you to add, delete, modify, and view magnetic stripe fonts. These fonts will be listed in many Windows applications that normally do not support encoding magnetic stripes. Although they appear as text on the screen, they will encode data to the magnetic stripe at print-time. You can create an unlimited number of magnetic stripe fonts, each of which may have different magnetic stripe parameters.

Some magnetic stripe standards have minimum and maximum data lengths, or only accept certain characters. For most standards, the driver will filter, format, and/or add necessary characters before encoding the magnetic stripe.

Font

  • Font Name. Used to specify the name that will appear in the font list.

  • Encoding. Used to specify the encoding for the font. Not all magnetic stripes can be used to encode international characters, and the reader must be configured to properly decode the data using the correct encoding.

  • Join Multiple Lines. When this setting is enabled, multiple lines using the same font are combined into a single magnetic stripe. For magnetic stripe fonts, this setting is always used and may not be disabled.

  • Width. This setting affects the relative width of characters on screen. Narrower characters can be used to fit more data in a smaller space. Note that this setting has no effect on the magnetic stripe; it only affects the text representation on screen.

Magnetic Stripe Options

  • Track Number. Used to specify the track used to encode the data contained in the magnetic stripe. Each track can contain 7-bit alphanumeric characters or 5-bit numeric characters.

  • Track Format. Used to specify how the data is encoded in the selected track number. Most formats are associated with a specific encoding scheme.

  • Input Format. Used to specify the incoming data type; select from hexidecimal or text.


RFID Font

Some label printers have support for RFID tags. Most Windows applications cannot access RFID capabilities directly. However, you can create an artificial font that represents the RFID tag, and then this font will be listed and can be selected in any Windows application that supports printer fonts. At print time, the driver converts the text into the data that is needed to encode the RFID tag.

Use the Fonts Property Page to add, delete, modify, and view RFID fonts. These fonts will be listed in many Windows applications that typically do not support encoding RFID. Although they appear as text on the screen, these fonts encode data to the RFID transponder at print time. You can create an unlimited number of RFID fonts, each of which can have different RFID parameters.

Some RFID tags have minimum and maximum data lengths or accept only certain characters. For most tag types, the driver filters and formats the data and adds any necessary characters before it encodes the tags.

Using RFID Fonts in Your Application

To use this driver’s RFID fonts within your application, follow these steps:

  1. Close your application.

  2. Open the driver’s Properties dialog.

  3. On the Fonts tab, click Font, and then select New RFID Encoder Font.

  4. Name the font and configure its options. For more information about these options, refer to the Font section of this topic.

  5. Close the driver’s Properties dialog.

  6. Open your application.

  7. Select your RFID printer.

  8. Configure your application's page setup settings to match your label size.

  9. Create text on your label that contains the data that you want to be encoded on the RFID tag. For example, if you created a font that uses SSCC-96 as the data format, you might enter something like "2;14501;200045294701". For information about SSCC and other EPC formats, refer to the EPC section at the end of this topic. Notice that no value is provided for the Partition field, because the driver calculates that value automatically.

    If you can use your application to source some or all of this string from a database, you might want to do that unless you plan to enter all of the data manually.

  10. Select the text, and then use the application’s font selection tools to specify the font that you created earlier. When you run the print job, the data is encoded into the RFID tag.

Note: RFID fonts work with any standard Windows application as long as the Professional, Automation, or Enterprise edition of BarTender is installed on the system. As of BarTender 2019, these editions have built-in RFID support that is flexible and easy to use.

Font

  • Font Name. Specifies the name that appears in the font list.

  • Encoding. Specifies the encoding for the font. Note that not all RFID tags can be used to encode international characters, and the reader must be configured to decode the data by using the correct encoding.

  • Join Multiple Lines. Specifies that all data on the page that uses the same font is combined before it is sent to the RFID tag. For RFID fonts, this setting is selected by default and cannot be changed.

  • Width. Specifies the relative width of characters on screen. You can use narrower characters to fit more data in a smaller space. Note that this setting has no effect on the RFID tag. It affects only the text that appears on screen.

RFID Options

These options affect how and where data is encoded in the RFID transponder. The options that are available depend on the tag type and the capabilities of the printer model.
  • Encoder Type. Specifies the type of the encoder. This setting must match the type of RFID tag that you are using. Note that some printers might also require you to configure the correct tag type on the front panel and/or calibrate the printer to encode RFID correctly. For more information, refer to your printer documentation.

Data Location

These options specify the location on the RFID transponder where the data is written.

  • Segment. Specifies the area of the tag on which to write data. Use this option for tag types that have multiple writeable areas. The Start Block setting is relative to the currently selected segment. We recommend that you carefully review the specifications of the tag that is being encoded so that you select the correct segment and start block.

  • Start Block. Specifies the block at which data encoding begins. The start block is relative to the current segment. The availability of this option, and its allowable range, depend on the tag type. Note that certain tags, such as I-Code, contain reserved blocks at the beginning that cannot be safely modified. In general, the driver does not allow writing to these reserved blocks and defaults to a reasonable start block. However, we recommend that you carefully review the specifications of the tag that is being encoded so that you select the correct start block.

  • Write Protect Blocks. Specifies that the RFID tag cannot be modified further after it is encoded. Not all tag types support this feature.

Data Format

These options specify how the data is encoded on the tag. For more tag-specific options, select the tag type that you want to use. The options that are available depend on the tag type and include the following:

  • Input. Specifies how the driver interprets the input data before it encodes the RFID tag, as follows:

    • Text. Specifies that data is written to the tag by using the currently selected character set. When EPC tags are encoded, it is more commonly required that the data be encoded in a very specific binary format.

    • Hexadecimal. Specifies that hexadecimal characters are accepted as input and converted to binary data before the RFID tag is encoded.

      • Decimal. Specifies that decimal characters are used with EPC tags to allow the input of decimal manufacturer and product numbers, which are converted into binary data before the RFID tag is encoded.

    • Binary. Specifies that raw binary data that uses 0s and 1s is used as input. This is not commonly required.

  • Format. Specifies the format to use to encode the data. Most formats are associated with a specific encoding scheme. This option is not available for all tag types. For tag-specific information, refer to the EPC section at the end of this topic.

  • Scheme. Specifies the encoding scheme that is associated with the selected format. The scheme is a special formatting string that is used by the driver to determine how to encode the data. For tag-specific information, refer to the EPC section at the end of this topic.

RAIN RFID EPC

Format

Specifies which encoding scheme is used to encode the data when RAIN RFID - EPC tags are encoded. Most encoding schemes have multiple fields, which use semicolons as separators.

The following table lists the currently supported formats and which fields should be provided as data.

Format | Required Data | Notes
DOD/UID-96 | Filter Value;CAGE;Serial Number | (2)
GDTI-96 | Filter Value;Company Prefix;Document Type;Serial Number |
GIAI-96 | Filter Value;Company Prefix;Individual Asset Reference | (1)
GIAI-202 | Filter Value;Company Prefix;Individual Asset Reference | (1)
GID-96 | General Manager Number;Object Class;Serial Number |
GRAI-96 | Filter Value;Company Prefix;Asset Type;Serial Number | (1)
GRAI-170 | Filter Value;Company Prefix;Asset Type;Serial Number | (1)
GSRN-96 | Filter Value;Company Prefix;Service Reference | (1)
SGLN-96 | Filter Value;Company Prefix;Location Reference;Serial Number | (1)
SGLN-195 | Filter Value;Company Prefix;Location Reference;Serial Number | (1)
SGTIN-96 | Filter Value;Company Prefix;Item Reference;Serial Number | (1)
SGTIN-198 | Filter Value;Company Prefix;Item Reference;Serial Number | (1)
SSCC-96 | Filter Value;Company Prefix;Serial Reference | (1)

(1) Some formats have fields that vary in length depending on a parameter that is called the partition value. The driver calculates the required partition value automatically based on the provided company prefix; it should not be provided in the data.

(2) For DOD formats, the CAGE ignores the current encoding and expects data to be supplied as ASCII text.

New formats for the EPC specification might become available that are not yet supported by the driver. To encode one of these formats, you can either select Raw and then encode the data in hexadecimal format or select Custom to enter a custom scheme.

Scheme

To enter a custom encoding scheme, select the Custom format and then enter a coding scheme. The scheme is a formatting string that is used to determine how to encode the data.

EPC data is divided into binary bit fields of varying lengths. For example, the SSCC-96 specification contains the following fields:

  • An 8-bit header, which must contain the hexadecimal value 31

  • A 3-bit filter value

  • A 3-bit partition value, which automatically determines the lengths of the company prefix and serial reference values and is not encoded in the tag

  • A company prefix that can have a value of 20 to 40 bits

  • A serial reference that can have a value of 38 to 18 bits

An example of the scheme for this specification is "8:31;3;20;38". The bit fields are separated by semicolons, and the first number in each field is the number of bits that are used in the field. The data after the colon (31) specifies an immediate value, in hexadecimal, that is always inserted in the first 8-bit field.

When you enter data by using this specification, only the last three fields are user-definable. For example, a data entry might be "2;0614141;400090589403" (using decimal). This data encodes an SSCC-96 tag that has a filter value of 2, a company prefix index of 0614141, and a serial reference number of 400090589403.


Resident Fonts Dialog

Resident Fonts Property Page

These options control which fonts are available to applications, and how they are listed. Certain applications do not work properly with all font types, or do not support features such as anisotropic scaling. The options on this dialog can be used to work around these limitations. For printers with large numbers of fonts, disabling fonts that are not needed may save system memory and improve performance.

Scalable Font Settings

Scalable fonts may be rendered smoothly at any point size. Many printers allow the horizontal scale factor to be specified independently from the vertical size. This is known as anisotropic scaling. Many common applications do not support this feature directly.

  • List Scalable Fonts. When this setting is disabled, scalable fonts will not be listed in applications.

  • List Condensed and Expanded Widths. When enabled, the driver lists two additional font variants: a condensed version "(Cond.)" scaled at 50%, and an expanded version "(Exp.)" scaled at 200%.

  • List Specified Scale Factors. If the condensed and expanded fonts are not sufficient, it is possible to enumerate any set of scale factors by specifying a comma-separated list of scale factors.

Bitmap Font Settings

Bitmap fonts are pre-rendered at a specific point size. Larger sizes may be printed by magnifying the text by an integral factor. Bitmap fonts may print more quickly than scalable fonts, but the print quality of bitmap fonts will decrease substantially as the font is magnified to larger sizes.

  • List Bitmap Fonts. When this setting is disabled, bitmap fonts will not be listed in applications.

  • Simulate Scalable Fonts. When this feature is enabled, the bitmap fonts are reported to applications as scalable fonts. This enables bitmap fonts to be used in applications that support only scalable fonts. Since bitmap fonts exist in only a discrete set of sizes, and scalable fonts allow any size to be used, the size of the font reported to the application will frequently not match the actual size of the printed text.

  • List Magnifications. Disable this setting to prevent magnifications of bitmap fonts from being listed. This will also disable condensed and expanded widths.

  • List Condensed and Expanded Widths. When this feature is enabled, the driver lists two additional font variants: a condensed version "(Cond.)" at half of the normal width, and an expanded version "(Exp.)" at double the normal width. These fonts are generated by magnifying the font horizontally by a different factor than the vertical magnification.

Compatibility Settings

  • List Multiple Character Set Fonts Separately. When this setting is enabled, fonts which support multiple character sets will have each character set listed as a separate font. The additional fonts listed in this manner will have a suffix appended to the font name to designate the character set. For example, a Central European font will be appended with the suffix "CE".

    Printer fonts with multiple international character sets are a relatively uncommon feature. Although BarTender 6.20 and above supports printer fonts with multiple character sets, many applications have not been tested with printers that support this feature, and are not designed to work with these fonts properly.

    Supported Character Sets

    The following table list each character set with the associated suffix and ANSI code page identifier.

    Character Set | Code Page | Suffix | Common Languages
    Central European | 1250 | CE | Polish, Czech, Slovak, Hungarian, Romanian, Croatian, Serbian
    Cyrillic | 1251 | CYR | Russian, Ukrainian, Bulgarian, Serbian
    Western | 1252 | WE | English, Spanish, French, German, Italian, Portuguese, Dutch, Danish, Finnish, Norwegian, Swedish
    Greek | 1253 | GR | Greek
    Turkish | 1254 | TUR | Turkish
    Hebrew | 1255 | HEB | Hebrew
    Arabic | 1256 | ARA | Arabic, Persian, Urdu
    Baltic | 1257 | BAL | Estonian, Latvian, Lithuanian
    Vietnamese | 1258 | VIET | Vietnamese
    Thai | 874 | THAI | Thai
    Japanese | 932 | JA | Japanese
    Simplified Chinese | 936 | CHS | Chinese (Simplified)
    Korean | 949 | KOR | Korean
    Traditional Chinese | 950 | CHT | Chinese (Traditional)


Downloaded Fonts Dialog

Downloaded Fonts Property Page

Downloaded Font Settings

These options control how fonts which have been downloaded to the printer are listed and how they are selected.

  • Use downloaded fonts when printing TrueType. When this setting is enabled, fonts that have been downloaded to the printer will be used when the corresponding TrueType font is selected in the application. If this control is not enabled, all TrueType text objects will print as graphics. Downloaded bitmap fonts have additional control over how they may be used. When Match downloaded sizes only is selected, the point size of the TrueType text object being printed must match the point size of the downloaded font, or the object will print as a graphic. Selecting Match downloaded sizes and magnifications will cause a font to be chosen if its point size, or a multiple of its point size, matches that of the TrueType text object. As before, if there is no match the object will print as a graphic. Selecting Always use closest available size will always use the closest magnification of any downloaded bitmap font.

  • List downloaded fonts as printer fonts. When selected, downloaded fonts will be listed in applications as printer resident fonts. The font name is appended with an asterisk. For example, a downloaded Arial font would be listed as "Arial*".


Utility Fonts Dialog

Utility Fonts Property Page

Utility fonts do not correspond to actual text fonts on the printer, but are used to control advanced printer features, such as bar codes, RFID, and sending direct commands to the printer.

  • List Utility Fonts. When this setting is disabled, utility fonts will not be listed in applications.

  • List Bar Code & RFID Fonts. When this setting is disabled, bar code and RFID fonts will not be listed in applications.

  • List Printer Command Font. Enable this setting to list the Printer Command font in applications.

  • List Driver Command Font. Enable this setting to list the Driver Command font in applications.

Using the Printer Command Font

The printer command font is used to insert printer commands directly into the data stream. This can be used to access advanced features not yet supported by the driver, such as new bar code or RFID commands.

Consult the reference manual for the printer command language for information about using printer commands.

Using the Driver Command Font

The driver command font is used to access miscellaneous driver features such as drawing commands and setting configuration parameters. The general syntax for a driver command is:

COMMAND [parameter1],[parameter2],...
Multiple commands may be separated by semicolons. Commands that are not supported will be ignored without error.

Coordinates are measured from the upper-left corner, and may be specified in dots (e.g. "200"), or in units of inches, millimeters, or centimeters by specifying the units after the value (e.g. "2.5 in").

The commands (excluding SET) may be modified with the optional parameters RADIUS (BOX only), WHITE and INVERSE. The optional parameters are not case sensitive and may be specified in any order. RADIUS is used to round the corners of a BOX. WHITE causes the object to be drawn in white. INVERSE causes the object to be drawn in black on a white background and white on a black background. Optional parameters that are not supported will be ignored without error.

LINE

LINE x1,y1,x2,y2,thickness{,WHITE}{,INVERSE}
Draws a line starting at (x1,y1) and ending at (x2,y2) with the specified thickness. To draw a vertical line, set x1 and x2 to the same value. To draw a horizontal line, set y1 and y2 to the same value. Diagonal lines are supported by this command, but many printers are not capable of drawing them.

Example:

LINE 1 cm,1 cm,2 cm,1 cm,1 mm

BOX

BOX x1,y1,x2,y2,thickness{,RADIUS=radius}{,WHITE}{,INVERSE}
Draws a box starting at (x1,y1) and ending at (x2,y2) with the specified thickness.

Examples:

BOX 1 cm,1 cm,2 cm,2 cm,1 mm

BOX 1 cm,1 cm,2 cm,2 cm,1 mm,INVERSE,RADIUS=3 mm

ELLIPSE

ELLIPSE x1,y1,x2,y2,thickness{,WHITE}{,INVERSE}
Draws an ellipse inside the box defined by the corners (x1,y1) and (x2,y2) with the specified thickness.

Example:

ELLIPSE 1 cm,1 cm,2 cm,2 cm,1 mm,WHITE

CIRCLE

CIRCLE x,y,radius,thickness{,WHITE}{,INVERSE}
Draws a cirle centered on (x,y) with the specified radius and thickness.

Example:

CIRCLE 1 cm,1 cm,1 mm, inverse

SET

SET setting,value
Sets a configuration setting to the specified value. The supported settings are listed below.

MIRROR | Set to 1 to enable mirror printing for the current label, set to 0 to disable mirror printing.
NEGATIVE | Set to 1 to enable negative printing for the current label, set to 0 to disable negative printing.

Some printers do not support changing all configuration settings using the driver command font, even if the printer does support the configuration setting from the user interface.

Example:

SET MIRROR,1;SET NEGATIVE,0

Compatibility Settings

  • Combine Adjacent Bar Code & RFID Fields. Microsoft Office has a bug when handling device text. It will frequently split a word into multiple pieces before sending it to the driver. Although this is acceptable behavior with a text font, when it happens to a bar code font it will result in a bar code that will not scan. When this option is enabled, the driver will attempt to put the field back together the way the user intended.


Encoding Dialog

Encoding Property Page

Note: By default, the driver automatically selects an appropriate encoding to print each text field from Windows applications. This feature is primarily intended for advanced users who are integrating the printer code generated by the driver with external applications. Changes to the encoding settings do not affect printed output.

This driver supports printing in many of the different written languages of the world. When printing TrueType text as graphics, no special communication between the driver and printer is required. When printing text using printer commands, the manner in which the printer code is generated frequently depends on the language being printed. Fundamentally, the driver communicates to the printer using only numbers. To print text, the driver and the printer need to agree on which number corresponds to which character. This relation between a character and a corresponding numeric value is known as an encoding. Encoding tables are also known as character sets or code pages.

Printers that support multiple languages frequently have the ability to switch encodings. For example, if the printer supports Greek and Russian, the driver would send a command to select the Greek encoding when it needs to print Greek text, and a command to select the Cyrillic encoding to print Russian text. Printers that support Unicode are capable of printing all languages without needing to switch the encoding, since Unicode supports all languages.

Selecting the correct encoding can be complex, since the encodings that are available vary from font to font. The driver normally handles this automatically based on the characters being printed, and adjustment is rarely necessary. However, when using the printer code with external applications, a specific encoding such as UTF-8 or Shift-JIS may be required, and the driver may not be selecting it automatically.

Text Encodings

This list contains all of the text encodings supported by the printer. The encodings are listed in order of preference for fonts that support multiple encodings. The order can be rearranged using drag and drop. Moving an encoding to the top does not necessarily force it to be used, because some encodings only work with specific fonts. Consult your printer documentation for more information about which encodings are available for each font.

Encoding Selection Method

This selection controls how the encoding is selected.

  • Automatically select best encoding for each text field. When this option is chosen, the encoding which best matches the content of each text field is selected. Supported encodings are searched in the order of the Text Encodings list, and the first encoding that supports all entered characters is used. If no encoding is capable of printing all of the entered characters, the encoding that has the most characters is used.

  • Always use first supported encoding. When this option is chosen, the first encoding in the Text Encoding list supported by the font is chosen, even if it does not have all of the characters entered.

Miscellaneous

  • Reset To Defaults. When selected the Text Encodings list is reset to its default order and the Encoding Selection Method is set back to Automatic.


Tools Property Page

Printer

Use these options to perform the various testing and maintenance operations that are supported by your printer. The following sections document the most common operations. Your printer might not support all of these operations and might support operations that are not documented here. For more information about these features, refer to your printer documentation.

Print

The Print menu provides several test and diagnostic pages. To print one of these pages, click Print, and then click the page that you want.

Page | Description
Generic Test | Prints a simple test label that consists of the word TEST.
Printer Test | Prints the printer's internal diagnostic test label.
Blank Label | Prints a blank label.
Configuration | Prints the current configuration.
File List | Prints a list of files that are currently stored in the printer’s memory. Files can include formats, graphics, and fonts that are stored in the printer.
Format List | Prints a list of formats that are currently stored in the printer’s memory.
Graphic List | Prints a list of graphics that are currently stored in the printer’s memory.
Font List | Prints a list of fonts that are currently stored in the printer’s memory.
Supported Fonts | Prints a list of fonts that are supported by the printer's firmware.
Supported Bar Codes | Prints a list of barcode symbologies that are supported by the printer's firmware.

Action

Several actions that are available from the printer's front panel can also be run from the driver by using the Action menu. To run one of these actions, click Action, and then click the action that you want.

Action | Description
Form Feed | Feeds a blank label.
Line Feed | Feeds a single line on receipt and continuous form printers.
Cut | Cuts off any labels that were fed from the printer. On some printers, this operation might require feeding a blank label.
Pause | Toggles pause mode. Most printers do not support this operation remotely.
Eject Card | Ejects the card from the printer after the print job is complete. Available only for card printers.
Print Color Samples | Opens the Print Sample Spot Colors dialog, which you can use to configure the sample printing setup settings. Available only for Epson CW-C6xxx series printers.
Read Printer Information | Reads printer information and settings from the printer and displays the information in a dialog.
Manage Printer Files | Manages formats, graphics, fonts, and other files that are stored on the printer.
Run Calibration | Feeds several labels to calibrate the printer to the spacing between label gaps or marks. The printer should be calibrated whenever a different size or type of stock is loaded.
Set Label Length | Feeds several labels to identify the size of the label stock based on the space between label gaps or marks.
Sensor Profile | Recalibrates the media and ribbon sensors and prints a graph of the sensor values.
Cleaning Feed | Runs the printer's feed mechanism to facilitate the cleaning of the rollers.
Reset Printer | Restarts the printer. This is the equivalent of turning the printer off and back on again.
Reset to Factory Defaults | Resets the printer to its factory default settings. Note that this action may also reset serial port settings.
Hex Dump | Prints all ASCII character values, along with their corresponding hexadecimal values, that are received by the printer.
Test Print Head | Runs a test on the print head to verify that all dots are functional.
Send Printer Command | Sends a specified printer command directly to the printer. The command is spooled like any other print job and will not run until all print jobs that are currently in the print queue are complete.
Send File to Printer | Sends a file directly to the printer. The driver does no processing on the contents of this file; the file must already consist of commands that are recognized by the printer.

Configure

The Configure menu contains several advanced options that vary among different drivers. To configure these options, click Configure, and then click the option that you want.

Options | Description
Printer Options | Provides additional, usually advanced, settings. Typically, these include options for debugging problems.
Installed Features | Specifies the optional features that the printer might have installed, such as additional font options.
RFID Options | Provides additional options and diagnostic features for use with RFID. Available only with installation of the BarTender Suite.
Magnetic Stripe Setup | Provides additional options for use with magnetic stripes. Available only with installation of the BarTender Suite.
Smart Card Options | Provides additional options for use with smart cards. Available only with installation of the BarTender Suite.
Configure Printer | Specifies the media feed actions that the printer takes.
Configure Memory | Configures optional memory that some printers require before the memory can be used or partitions internal memory into separate areas for fonts, formats, and/or graphics.
Format Flash | Reformats flash cards for printers that support them.
Ribbon Settings | Modifies advanced settings, such as ribbon tension.
Manage Color Profiles | Downloads and removes user-defined color profiles for color printers that support these profiles.
Set Printer Clock | Sets the date and time for the printer clock for printers that are equipped with an optional real-time clock module.
Set Cutter Type | Opens the Set Cutter Type dialog so that you can specify the cutter type for printers that are equipped with a cutter.

Driver

  • Driver Options. Opens the Driver Options dialog, which you can use to configure advanced driver options, such as importing and exporting driver settings and controlling how driver settings are shared over a network.

  • Logging Options. Opens the Logging Options dialog, which you can use to configure the logging of all print code that is sent to the printer for debugging purposes.

  • Status Monitoring. Opens the Status Monitoring dialog, which you can use to configure status monitoring of the printer. Available when bidirectional communications with the printer are supported and the printer model supports this feature.

  • Manage Cache. Opens the Manage Cache dialog, which you can use to manage the cache settings and contents for drivers that support format and/or graphics caching.

Maintenance

  • Cleaning. Opens the Printer Cleaning dialog, where you can initiate printer cleaning. Use this dialog to manage usage settings and print head cleaning reminders for drivers that can monitor the number of cards or labels that are printed.


Logging Options

Manage Printer Files

Many printers are capable of storing formats, graphics, or fonts in printer memory. The Manage Printer Files dialog allows you to access these objects using a file management interface similar to Windows Explorer. Depending on the capabilities of the printer, files may be deleted, renamed, moved to a different location, or transferred to or from the host.

For printers that do not have a true file system, the driver will expose the stored objects in a logical fashion. Different memory areas of your printer such as flash or ROM may be exposed as virtual disks, each of which may contain a list of files, or directories containing files.


Administration Property Page

Driver Settings

Configuring individual driver settings for multiple printer drivers can be tedious, so the driver provides several features to reset, back up, restore, and share driver settings. You can save driver settings to a file that can then be used to transfer the settings to a similar driver on a different computer or used as a backup to be restored later.

  • Import. Opens the Open dialog so that you can browse to and import previously saved printer driver settings.

  • Export. Opens the Save As dialog so that you can export the settings that are selected in the Driver Settings area to a file.

  • Reset to Defaults. Resets the driver to the default settings for the setting types that are selected in the Driver Settings area.

The following types of driver settings can be imported, exported, or reset.

Type | Description
Bar Code and RFID Fonts | Barcode and RFID fonts that are created by using the Fonts dialog.
Downloaded Fonts | Settings for TrueType fonts that were previously downloaded to the printer. For more information, refer to the Downloaded Fonts section later on this page.
Font Substitutions | Font substitutions that were created by using the Fonts dialog.
Network Settings | Network settings, including settings that were created by using the Network Settings and Network Setup dialogs.
Optional Fonts | Optional fonts, including user-defined optional fonts, that were created by using the Fonts dialog.
Presets | A list of named printing preferences that can be shared between users. Presets are managed by using the Page Setup property page.
Printer Properties | Printer settings that are applied globally, such as cache and memory configuration.
Printing Preferences | Per-document settings, such as paper size and orientation. Each document has its own set of printing preferences, and each user has their own set of default printing preferences. To more easily share multiple sets of printing preferences between different documents or users, use the Presets feature.
Stock Sizes | Custom stock sizes that were created by using the Page Setup page. For more information, refer to the Stock Sizes section later on this page.

Downloaded Fonts

When you import a list of downloaded fonts, you do not actually download the fonts to the printer. If you need to download the fonts, use the Redownload All feature on the Fonts page.

Stock Sizes

Unlike other types of driver settings, the stock list is shared among all printers. When you import stock sizes, the new sizes are added to your existing list. Your existing stock sizes are not deleted.

If you import stocks that are larger than what the printer supports, these sizes will not be available on the Page Setup property page. However, the sizes are still available to printers that do support them, and all sizes are always exported in the driver settings file.


Network Settings Property Page

Network Features

The following features are used in networked printing environments. By default, all network features are enabled. Disabling a network feature on a client affects only that specific client. Disabling a network feature on the server affects all clients.

  • Bidirectional Communication. When enabled, network clients are able to initiate two-way communication with the server. When disabled, printing is still possible, but many features are unavailable, including configuration sharing, status monitoring, and any other functionality that requires reading data from the printer.

  • Configuration Sharing. When enabled, settings such as stock lists, presets, downloaded fonts, bar code fonts, and RFID fonts are shared between the server and all clients. When disabled, the client will store settings independently of the server and other clients.

  • Status. On a client, if the client can communicate with the server this will display "Connected", and if there is a problem communicating with the server this will display "Not Connected". On the server, if the TCP/IP networking component is enabled and running, the status will display as "Available". If it is disabled or there is a problem, it will display "Not Available".

  • Network Setup. This dialog contains advanced configuration and diagnostic information. It is rarely necessary to change any of these settings; the most common problem with using network features is a port blocked by a firewall or router (see below).

Printing Preferences

  • Share settings between all users. By default, Windows maintains a separate set of printing preferences for each user. When this feature is enabled, all users will share the same set of printing preferences. The Security setting will apply to printing preferences when they are shared between users. This feature allows an administrator to configure the printing preferences for all users on the network.

  • Share settings between all documents. Some applications store printing preferences when saving documents. When this feature is enabled, the printing preferences specified from the Printers Folder will always be used, and any settings stored with documents will be ignored.

Security

The driver security settings allow the administrator to prevent certain classes of users from modifying global settings such as the stock list and bar code fonts. Access to advanced printer configuration features is also restricted.

Users are grouped into Administrators, Power Users, Users, and Guests. Each level includes the ones above it (if Power Users have access, Administrators will also have access).

  • Users allowed to modify settings. This setting controls which users that log on to the local machine have the ability to modify all settings. When a user with insufficient access uses the driver, they will be able to see the settings, and use stocks, bar code fonts, and presets defined by the administrator, but the user is not able to modify any of these settings.

  • Network users allowed to modify settings. This setting controls which users that log on from a client machine have the ability to modify all settings. The user's access level is checked on the client, not the server, so this setting may not behave as one would expect unless the machines are logged on to a domain. This setting is not used if shared settings are disabled.

How Network Features Work

The driver includes a component called a "print monitor" (also known as a "language monitor") that contains a variety of driver functionality. This component integrates with the spooler and enables bidirectional communication with the printer. Windows has a setting called "Enable bidirectional support" that is used to enable and disable the print monitor. Many driver features are dependent on the print monitor component, including status monitoring and logging.

Network features are also dependent on the print monitor. The print monitor behaves like a web server, listening on port 6160 for incoming client requests for bidirectional communication with the printer and retrieving shared configurations. Because of this, any firewall or router between the client and server needs to be configured to open TCP port 6160 in order for network features to work properly.

Previous versions of our drivers were dependent on Windows network printing functionality that varied between operating systems and was dependent on properly configuring network access rights. This is no longer the case, and in any combination of server and client operating systems, all network features are available.

Solving Problems with Network Features

When the client is unable to connect to the network server, a warning message will appear when the user interface is opened. You may either try to connect again, or disable network features. Network features may be re-enabled once all connection problems have been resolved.

To resolve network problems, start by checking the Network Settings dialog on the server. The Status should say "Available". If it does not, no clients will be able to connect properly. You may have one of the following problems:

  • The print monitor is disabled. This is controlled by the "Enable bidirectional support" setting of the driver. Disabling this setting also disables all network communication.

  • Another program is already using the TCP port. Try changing the TCP port to a different value. If there are values other than 6160 that display "Available", but 6160 always displays "Not Available", another program is probably using this port. You can configure the conflicting program to use a different port, or configure the driver to use a different port in Network Setup. In either case, you will probably have to change the setting on both the server and all clients. Sometimes TCP ports are used by worms and trojan programs that expose your PC to malicious attacks, so be sure you investigate the situation and can account for the other program that was already using the port.

  • TCP/IP is disabled or unavailable. These drivers do not support network features over alternate networking protocols such as IPX/SPX or NetBEUI; you must have TCP/IP installed.

Clients initiate communications with the server, so the server does not know whether or not clients exist and can't test the connection to them. Therefore, the server may display "Available", but the clients are still not able to connect to it. Once the status on the server displays "Available", check the status displayed in the Network Settings on the client. If the client still displays "Not Connected", you may have one of the following problems:

  • TCP port 6160 is blocked by a firewall or router. On installation, the driver automatically configures the Windows Firewall (included with Windows XP SP2 and higher). Other firewalls and routers need to be manually configured. If you change the TCP port, the firewall or router will need to be reconfigured. This is the most common cause of network problems, and should be the first thing you investigate.

  • When printing over a wireless network, over the internet, or over an Ethernet network that is unreliable or has limited bandwidth, you may need to adjust the Timeout and Retry values on the Network Setup dialog.

  • The client may not be able to find the server due to a DNS problem. From the command line, try using "ping" to see if the server name is found and the IP returned matches the IP of the server. If it does not, try entering the correct IP in Force Destination Address on the Network Setup dialog. If this resolves the issue, you may have a network configuration problem.


Connection Property Page

Network Setup: Connection Property Page

TCP/IP Configuration

  • Port. This is the port that is used for network communication between driver components. We recommend that you do not change the default setting of 5130 unless there is a conflict with another network application. The driver currently uses only the TCP protocol, but it might use UDP in the future.

  • Timeout. This is the amount of time, in milliseconds, to wait for a response after attempting to communicate with the network server. Increasing this value may help improve performance in configurations that have low bandwidth or poor response time, such as when printing over the Internet.

  • Retries. This is the number of times that the driver tries again to connect when the timeout interval elapses and the request fails. Increasing this number may help if network connectivity is unreliable or intermittent, such as when printing over a wireless network.

Connection Information

This section displays a variety of diagnostic information about the connection between the driver's networking components. This information is primarily intended for support personnel.


Advanced Property Page

Network Setup: Advanced Property Page

Transport

  • Disable TCP/IP Communication. A printer driver consists of several components which need to communicate with each other. The status monitor component is used for bidirectional communication with the printer, and always runs on the server. The user interface and print engine components are used on both clients and servers. Across a network, TCP/IP is the only supported communication protocol between driver components, and disabling it will disable driver features such as bidirectional communication and configuration sharing.

    On a standalone machine, the drivers can fall back to an alternate protocol that allows most driver functionality when TCP/IP is not available or is not functioning correctly. This alternate "local only" protocol uses some inefficient Windows printing API calls to communicate between components. Changing the default setting is not recommended, and is mainly intended for diagnostic use.

  • Force Destination Address. The printer driver uses DNS to determine the IP address of the server. Some unusual or improperly configured networks may report the wrong IP. If the incorrect server IP is displayed in Connection Information, entering the correct IP here may work around the problem. (It is also possible to enter an alternate host name, although this will not be helpful if resolving a DNS problem.)


Regional Options Property Page

The Regional Options property page allows you to change the language and measurement system used by the driver's user interface.

By default, the driver will use the Regional Options specified in the Windows Control Panel for settings like language, measurement system, and decimal point or comma. Click Windows Settings to open the Control Panel's Regional Options (note that any changes made to the Control Panel settings will affect all applications).

Language Selection

If you wish to display the driver in a language other than the system default language, you may choose the language here. Changes to the language will not take effect until the driver property sheet is closed and opened again.

For a language to be listed here, there must be a driver translation for that language and the language must be supported by the current operating system. Languages requiring double-byte character sets, such as Japanese or Chinese, may not be available unless you are running under the corresponding version of Windows.

Use Windows Setting will use the language currently selected in Windows Control Panel’s Regional Options. If this language is not installed, the driver will use English.

Measurement System

Used to specify the default unit of measurement throughout the driver: inches, millimeters, or centimeters. Changes will take effect immediately.

It is possible to specify a value in any system of measurement by typing the desired units after the name. For example, if the driver is set to inches, you may type "3.5 cm" into any edit control and it will be automatically converted into "1.38 in".

Use Windows Setting will use the system of measurement currently selected in Windows Control Panel’s Regional Options.


Printer Specifications Property Page

Unprintable Width

Setting the Unprintable Width allows you to make minor adjustments in the horizontal positioning of the printed image on the label. The distance from the edge of your label stock to the print head may be slightly different than the default setting in the driver due to manufacturing differences. Making small adjustments to this number can help you compensate for the difference and obtain a more accurate object placement.

To reset the unprintable width to the default value, click the Reset to Default button.

Model Specifications

These options allow you to change the model specifications used by the driver. There are two situations when this may be useful:

  1. A printer model is not yet supported by the driver, but a similar model is supported by the driver. For example, the driver may support a certain printer model at 300 dpi, and subsequently, a printer model is released that is identical to the first in all respects except the resolution is 600 dpi. In this case, the driver may support this model by overriding the resolution and setting it to 600 dpi.
  2. The model specifications in the driver are not correct. Sometimes, the best information available to the driver developers is inexact. For example, a printer may be marketed as "300 dpi", when in fact it is using a metric 12 dpmm printhead, which is closer to 305 dpi. The difference seems minor but can in fact be significant on larger labels. The user may correct this value, and should report the discrepancy to technical support so that it may be corrected in future releases.

It is important to understand that these specifications must match the actual specifications of the printer model you are using. Changing these specifications will not modify the printer settings in any way.

Warning: The driver may not operate properly if the model specifications are altered from their default settings. These settings should only be modified under the direction of support personnel.


Status Property Page

Printer Status Monitoring

When printer status monitoring is enabled, the driver will verify the printer has no problems before starting each print job, and continue to monitor the printer for problems during each print job until the job is complete. Problems that may occur include running out of media (paper, ribbon, ink, or toner), paper jams, and other hardware conditions. If the printer fails to respond to a status request, it will display as offline. The user will be notified of any problems during printing. In many cases, it is possible to correct the problem, and continue to print the rest of the job.

To use printer status monitoring, you must be using a printer that supports status monitoring, and have a bidirectional connection with that printer. Serial ports are always bidirectional, and most printers support status monitoring over a serial port. Parallel ports can support bidirectional communication, but many printers have parallel ports that are not bidirectional. An IEEE 1284-compliant cable is required for proper bidirectional communications over a parallel port. USB and TCP/IP connections can support bidirectional communication, but not all printers support status reporting using these port types. Read the specifications of your printer for more information about which port types can utilize the status monitoring feature.

  • Disabled. This selection disables printer status monitoring. The driver will always attempt to send jobs to the printer without checking the current printer status. Some port types such as parallel ports will still report basic status information such as offline or paper out conditions, but the driver will never send bidirectional status request commands to the printer.

  • On demand. The driver will always monitor printer status during print jobs. When no jobs are being printed, the driver will monitor printer status only if it is being monitored by a client application such as the Status Window or notification icon. When a client application is opened, status monitoring will begin, and when all client applications have closed, status monitoring will stop (after a short delay to ensure no client applications are still requesting status). Using this mode will reduce network traffic by only requesting printer status when it is necessary, but when no jobs are being printed, the status displayed in the Printers Folder may not reflect the current printer status.

  • Continuous. The driver will continuously monitor printer status during print jobs and when no jobs are being printed. The status displayed in the Printers Folder will always reflect the current printer status even when no print jobs are being printed.

Status Display Options

Windows always displays the printer status in the Printers Folder and in the print queue. The driver provides some additional options for displaying printer status.

  • Show advanced status in Comments field. The Status field in the Printers Folder is only capable of displaying a limited number of printer conditions which are predefined by Windows. When an error occurs that is not one of these predefined conditions, the Status field will display "User Intervention Required". When this feature is enabled, any additional status information will be displayed in the Comments field.

  • Show icon in taskbar notification area. This feature will add an icon to the taskbar notification area (also known as the "system tray"). When an error condition occurs, the icon will change to indicate an error state. Hovering the cursor over the icon will display a tooltip with the current printer status. Double-clicking the icon will open the Status Window. The icon also has a context menu for easy access to common printer driver features.

  • Show Status Window. This feature displays a small status window with the current printer status.

  • Automatically show Status Window when errors occur. When this option is enabled, the driver will show the Status Window whenever the printer reports an error or warning. The Status Window will remain open until closed by the user.

  • Status Window Preferences. This dialog has some features to control the appearance of the Status Window.


Display Property Page

Status Window Preferences Dialog

Status Window Preferences

  • Always on top. When enabled, the Status Window will stay on top of all other windows.

  • Hide titlebar. When enabled, the title bar of the Status Window will be removed, making the window slightly smaller. (The window may still be moved by clicking anywhere in it and dragging it to the new location.)


Job Verification Property Page

Job Verification

  • Verify job complete before sending next job. When this feature is enabled, the driver will verify that each print job has finished printing successfully before starting to send the next job. This will allow the spooler to accurately indicate which jobs have successfully printed, which job is currently printing, and which jobs have yet to be sent to the printer. However, this disables all buffering between jobs, which can significantly decrease throughput.

  • Verify page complete before sending next job. When this feature is enabled, the driver will verify that each page has finished printing successfully before starting to send the next page. This will allow the spooler to accurately indicate the current page. However, this disables all buffering between pages, which can significantly decrease throughput.


Communication Property Page

Timeouts

Timeout settings are used for bidirectional communication, both during status monitoring and when sending general purpose query commands to the printer.

  • Send timeout. The allowed time (in milliseconds) that the driver will try sending a query command to the printer. If the command cannot be sent, the driver will continue to try sending the command again until the timeout expires. If the timeout expires, the printer will be considered offline.

  • Response timeout. The allowed time (in milliseconds) that the driver will wait for a response from the printer after successfully sending a query command. If the command was successfully sent, but no response was recieved, the driver will continue waiting for a response until the timeout expires. If the timeout expires, the printer will be considered offline.

Polling Interval

Polling intervals are used to determine how frequently the driver requests status from the printer. Decreasing these values may make the driver detect problems more quickly, and also resume more quickly when the error is corrected. Polling intervals are only used when status monitoring is enabled.

  • During jobs. When a job is being printed, the driver will first request status when starting a print job, and will periodically request an updated status. This interval is the time (in milliseconds) between each status request.

  • When idle. When no jobs are being printed, the status will be monitored if the status monitoring mode is set to Continuous, or if it is set to On demand and there is a client application currently monitoring status. This interval is the time (in milliseconds) between each status request.
Note: Communications ports may have additional timeouts enforced by their device drivers. These timeouts are usually much longer than the default driver timeouts, but if the driver timeouts are increased long enough, a message may appear from the operating system describing a problem with the port, and you may not have the opportunity to continue the print job.


Logging Options

The Logging Options dialog supports logging print jobs and recording printer code to files for debugging purposes. This code can be submitted to support personnel if problems arise in the operation of the driver.

Logging

  • Log. This menu contains actions that allow you create, view, edit, rename and delete different log files. You may create multiple logs based on your needs. Jobs will be logged to each of the log files created based on the order they are spooled. These same actions are available in a context menu by right clicking in the log list.

    • New Log... Displays the Job Logging Wizard to guide you through the log creation process.

    • View Logs... Displays the Windows file view for the logging directory of the selected log.

    • Edit... Displays the Edit Logging Parameters dialog to allow the selected log's parameters to be edited.

    • Rename... Displays the Rename Log dialog to allow the selected log to be renamed.

    • Delete Deletes the selected log.

  • Tools. This menu currently has one selection to allow the creation of a log file compatible with those generated by earlier versions of the driver.

    • Add Legacy Log... Displays the Add Legacy Log dialog.

Printer Code Recording

Printer Code Recording allows you to record all of the print code sent to the printer to a file. Unlike using the Print to File option in most applications, Printer Code Recording allows you to print to the printer and to a file simultaneously.

When using caching, it is not necessarily the case that printing to a file will always result in the same print code that was sent to the printer. Using Printer Code Recording, it is possible to see the entire sequence of code that was sent to the printer, exactly as it was sent.

  • Record Printer Code. This option will record printer code to the specified directory. Each print job will generate a separate file.

  • Overwrite Files With Same Name. The driver will name print code files by adding a .PRN extension to the name of the document being printed. Normally, if the file already exists, a unique name is generated by adding a number to the end of the new filename. Enabling this feature will cause the driver to overwrite existing files.

  • Directory. Print code files will be recorded to this directory.

On the left of the dialog is a list of the print code files in the current directory, allowing you to perform operations on individual files.

  • View File. View the currently selected print code file in a text editor.

  • Send To Printer. Sends the currently selected print code file to the printer, effectively printing the job again. If graphics or format caching was enabled, it may be necessary to send each print file in the order it was logged to get the desired results.

  • Delete File. Deletes the print code file currently selected in the list.

  • Delete All Files. Deletes all print code files in the current directory and clears the list.


Printer Options Dialog

Printer Options

  • Do not send page size information. When enabled, prevents the driver from sending page size and orientation commands to the printer. For printing environments where the page setup remains consistent, this results in a more efficient printing process.

  • Firmware Version. Specifies the firmware version installed on the printer. Versions 6.81 and above includes support for advanced timestamp features in the driver.


Cache Settings Property Page

When used with BarTender, the drivers have the ability to store formats and graphics in your printer and reuse them during subsequent print jobs. This can significantly speed up print jobs because large graphics and label formats need only be sent to the printer once.

When you specify a larger cache size, the speed of your print jobs generally increases. However, the amount of space you can safely specify for the size of the cache depends on the amount of storage memory available in your printer. If the Caching Memory option is set to an amount greater than the amount of memory actually available, BarTender will think it is storing label formats or graphics when actually it is not. As a result, subsequent print jobs can result in labels with missing parts or even blank labels. To increase the amount of available storage memory, you must install additional memory in your printer. Then you may increase the Caching Memory setting to use this memory for caching.

Flushing the Cache

There are situations where BarTender may think that items have been stored in the printer for later reuse that really haven't. Once this happens, BarTender can execute a print job and fail to send certain items to the printer because it thinks that the items are already stored there. This can result in labels with missing parts, or even blank labels.

For most situations, click on the Flush Cache Now button, and then press OK. This will tell BarTender to assume that all items previously stored in the printer are now gone, resulting in all label items being sent to the printer during subsequent print jobs (at least until BarTender thinks they are cached again).

Storage Memory

  • Caching Memory. Used for setting the total amount of memory reserved for cached formats and graphics.

  • Cache Storage. Used to specify which printer memory location should be used to cache graphic images and formats. You may wish to use flash or non-volatile memory so that graphics and formats are retained even when the printer is turned off. If normal RAM is used, you will have to flush the cache each time the printer is turned off. If flash memory is used, cached graphics and formats are retained even after power-off.

  • Temporary Storage. Used to specify which printer memory location should be used to temporarily store graphic images and formats. These are deleted immediately after being used, and it is recommended to use normal RAM instead of flash memory to preserve the life of the memory.

Advanced

These settings control how cached objects are stored in the printer memory. Modifying these settings is only necessary if you are trying to generate printer formats using a specific name or ID for use with non-Windows applications.

Reset to Defaults. Used to return the settings to their original values.

Note: This feature is not recommended in a networked environment where there are multiple workstations printing to the same printer. In that situation, it may not always be possible for each workstation to determine what is and is not in the printer's memory. If you encounter problems when caching in a networked environment, do not use the caching feature.


Cache Contents Property Page

The Cache Contents page allows the user to view, print, delete, and lock objects that have been stored in the printer's cache. These options may be used by advanced users to optimize or debug the caching process. More detailed information about each cached object is displayed in the information panel at the bottom of the dialog.

Object Menu

  • Print Sample. Allows the user to select an object from the list and print a sample of only that object.

  • Delete Object. Allows the user to select an object from the list and delete that object from the printer's cache.

  • Locked. Allows the user to select an object from the list and prevent the printer driver from ever deleting the object from the printer's cache. An example of using this feature is if you have a company logo that is frequently printed, you may want to lock it so it will never be deleted from the printer's cache, accelerating all print jobs using it.

View Menu

  • Formats. Selects whether cached formats are displayed in the list.

  • Graphics. Selects whether cached graphics are displayed in the list.

  • Sort By. Sorts the list of objects by ID, size, age, hits, or location. Columns may also be sorted by clicking the column header of the list.

Tools Menu

  • Flush Cache. Flushes all cached objects from memory.

Object Information

  • ID. The cached object's identifier, which includes the type and ID number of the object.

  • Size. The amount of memory used by the object. Since some printer models use compression to store images internally, this may not correspond exactly to the amount of memory used by the object on the printer, but should be an approximate indicator of how much printer memory the object uses.

  • Age. A relative value indicating how many cycles has passed since this object was used by the driver. This number does not correspond directly to the number of pages printed since last use. Smaller values indicate more recently used items.

  • Hits. A value indicating how many times the object has been referenced by the driver. This number does not correspond directly to the number of pages printed, since an object is typically referenced by the driver more than one time per page. Smaller values indicate less frequently used items.

  • Location. The name of the file stored on the printer that corresponds to this object. Not all printers store objects by name, and this value may not be used in all drivers.


General Property Page

General Tab

Error Handling

  • Retries Per Label. Specifies the number of times a read/write operation is attempted before a tag is determined to be invalid.

  • Maximum Invalid Labels. Specifies the maximum number of invalid tags allowed before the print job is determined to have failed.

  • Void Print Length. Specifies the length of the void text printed on labels with invalid tags. The void text starts at the current transponder position.

  • Remainder Of Label. When checked, the void text will print from the current transponder position to the end of the label.

  • Void Print Speed. Specifies the speed at which "VOID" is printed across the label when a label is voided.

  • Action on Failure. Specifies which action the printer takes when an RFID tag fails to encode. The choices are Continue, Pause and Halt.

Media Settings

  • Transponder Position. Used to set the position of the tag's transponder relative to the top of the label. This allows the tag to be accurately positioned for read/write operations.

  • Use Printer Default. When checked, the printer's default transponder position is used.


RAIN RFID EPC/ISO Property Page

The RAIN RFID specification provides various ways to secure the data that is encoded in the tag. Printers that are compliant with the specification might include support for any or all of these features.

You can lock access to one or more of the memory banks on the tag by using a password that consists of eight hexadecimal characters. These locks can be temporary or permanent. You can also permanently unlock the memory banks so that they will not be locked in the future.

You can provide a kill password that consists of eight hexadecimal characters. If the tag receives this kill password at some future time, it will be rendered inoperable.

For more information about these features, refer to the RAIN RFID specification and your printer's documentation.

Access Control

  • EPC/UII Memory. Specifies whether the EPC/UII memory block is open or locked.

  • User Memory. Specifies whether the user memory block is open or locked.

  • Range. Opens the User Memory Access Control Options dialog, where you can specify the blocks of the user memory bank to lock. Available only when you use a RAIN RFID - EPC or RAIN RFID - ISO tag and also select Lock Permanently for the User Memory property.

  • TID Memory. Specifies whether the tag ID (TID) memory block is open or locked.

  • Access Password. Specifies whether the access password memory block is open or locked.

  • Kill Password. Specifies whether the kill password memory block is open or locked.

Access Password

  • New Password. Specifies the value that you want to use for the new password.

  • Random. Inserts a random value into the New Password field, which is used to fill in placeholder data to meet password requirements. This option does not create a random value each time the document is printed.

  • Old Password. Specifies the value that you want to use for the old password. Available for tags that include a memory block unlock and/or relock setting.

Kill Password

  • Modify Kill Password. Specifies that a new kill password is used.

  • New Kill Password. Specifies the value that you want to use for the new password. Available when Modify Kill Password is selected.

  • Random. Inserts a random value into the New Kill Password field, which is used to fill in placeholder data to meet password requirements. This option does not create a random value each time the document is printed.

Protocol Control

  • Write Protocol Control. Changes the Protocol Control (PC) bits to encode more or fewer than the default 96 bits. This option might be necessary when the firmware in the readers or printers that are used for encoding has not been updated to accommodate the chip changes that are required by the RAIN RFID specification.

  • U. M. I. bit. Specifies when to set the UMI bit, as follows:

    • Always set. The UMI bit is always set for compatibility.

    • Set if writing to user memory. The UMI bit is set for compatibility only when writing to user memory.

Note: If you plan to encode RAIN RFID smart cards by using the Zebra ZXP Series 7 printer driver, you also must install the encoder tool, which you can download from the Seagull Scientific web page for Zebra ZXP Series 7 Supported Features.


Stock Property Page

Media Settings

  • Method. Specifies whether the printer is using direct thermal stock or thermal transfer (ribbon).

  • Type. Specifies whether the printer is printing on Labels with Gaps, Labels with Marks, or Continuous stock.

  • Gap Height. Specifies the size of the gap when printing on labels with gaps.

  • Gap Offset. When printing on labels with gaps, normally the label begins immediately after the gap. Labels that are non-rectangular may cause the sensor to detect the gap at a location other than the desired start of the label. If required, you can adjust the gap offset so the image prints at the correct location on the label.

  • Mark Height. Specifies the thickness of the black mark when printing on labels with marks.

  • Mark Offset. When printing on labels with marks, normally the label begins immediately after the mark. Certain custom label stocks may require the offset to be adjusted so the image prints at the correct location on the label.

Media Handling

  • Post-Print Action. Specifies whether a special action should occur after printing, such as cycling the cutter.
    • None. Prints without any special actions, including backfeed.
    • Tear Off. Feeds labels to the tear bar for easier removal.
    • Peel Off. Peels labels off the backing and waits for the user to take them (this operation requires a label taken sensor and a peeler unit to be attached).
    • Cut. Cycles the cutter after the specified occurrence (this operation requires a cutter unit to be attached).
    • Partial Cut. Cycles the cutter after the specified occurrence but does not cut all the way through the label (this operation requires a cutter unit to be attached).

  • Occurrence. Specifies the frequency at which the post-print action occurs.
    • After Every Page. Performs the action after each page.
    • After Job. Performs the action at the end of each print job.
    • After Specified Interval. Performs the action after the specified number of pages have printed and also at the end of the print job.
    • After Identical Copies. Performs the action after the number of copies that are specified in the application.

  • Feed Offset. Adjusts the amount of extra feed after labels are printed.

  • Interval. Specifies the interval at which the post-print action is performed when the Occurrence field is set to After Specified Interval.

Position Adjustments

  • Vertical Offset Enables you to make fine adjustments to the vertical position of the image on the label.


Options Property Page

Printer Options

  • Use Current Printer Settings. Specifies that the printer's current settings are used. Click to clear this check box when you want to customize the other settings in this section.

  • Print Speed. Adjusts the rate at which labels are printed.

  • Darkness. Adjusts how light or dark your label is when it is printed.

  • Replace solid lines with dotted lines. Specifies that solid lines are printed as dotted lines. This can improve printing speed. Available only for the IPRT OEM "E-Waybill" printer series.

Graphics Format

  • Direct to Buffer. Specifies the format that is used to transfer graphics to the printer's image buffer. The formats that are available depend on the printer model and include the following:

    • Automatic. Specifies that the driver automatically uses the most efficient format.

    • Uncompressed 8-bit. Specifies that the RAW data is sent to the printer. When you select this option, the printer does not need to decompress the data before running the print job. Available only for printers that support this feature.

    • RLE Compression. Specifies that the data is compressed by using RLE compression. Typically, this option is used when the same sequence occurs multiple times in the data. This option requires the printer to decompress the data before running the print job. Available only for printers that support this feature.

    • High Density. Specifies that the data is compressed by using LZSS compression. Typically, this option is used when a high-quality graphic is sent to the printer. This option requires the printer to decompress the data before running the print job. Available only for printers that support this feature.

    • Disabled. Specifies that the graphics are not sent to the image buffer. In some cases, such as when graphics caching is used, stored graphics are required. In these cases, this setting is ignored.

  • Stored Graphics. Specifies the format that is used to store graphic files in printer memory. The formats that are available depend on the printer model. Select Automatic to enable the driver to use the most efficient format.

  • Disable printer immediate commands. Instructs the driver to ignore printer immediate response commands, such as when you want to prevent the printer from restarting when it receives bitmap data from the driver. Available only for printers that support this feature.

  • Enable grayscale image printing. Specifies that images can be printed in grayscale. You can use the Contrast box to specify the percentage of contrast that you want. Available only for printers that support this feature.


Print Speed

Increasing your label speed has the obvious advantage of allowing your label printer to produce more labels in a given period of time.

  • Adjusting the Print Speed. The setting is given in inches, millimeters or centimeters per second, corresponding to the length of label stock that feeds through the printer per second.

  • A Caution on Print Speed Control. Unfortunately, increasing print speed close to the maximum setting is usually not practical. Output quality on most label and ribbon combinations will start declining as the print speed increases beyond a certain point. Accordingly, before executing any large print runs, you should ensure that any increased speed settings you specify don’t result in an unacceptable reduction in output quality.

  • Why Increasing the Print Speed Setting Won’t Always Increase Your Label Throughput. The actual speed at which labels move while your images are being printed is not the only factor controlling your overall throughput. There are also delays while information downloads from the computer to the printer, and a delay while the image is rendered into the print buffer. Simple formats consisting of only bar codes and/or text fonts which are built into your printer can print at the maximum rate of speed, but the presence of graphics or TrueType fonts can decrease your throughput, especially when printing through a RS-232 serial port. In these situations, your labels will move at the requested print speed when printing, but they will spend more time sitting idle between labels as the new information for each label is transmitted. Depending on the complexity of the bitmap image, and the configuration of your communication port, this delay can be significant, potentially even a few minutes.

  • Maximizing Print Speed. Use built-in printer fonts when possible, and download any necessary TrueType fonts. Using format and graphic caching can also reduce the amount of code sent to the printer and increase throughput.


Adjusting the Temperature Slider

Adjusting the Print-Head Temperature

Depending on the type of labels and/or label ribbon you are using, you may need to set your print head to a warmer or cooler temperature in order to optimize the quality of your printed image. For example, some high quality resin ribbons require the print head to be run at a higher temperature in order to get good print quality. Similarly, when attempting to print near the higher range of the available print speeds, it may be necessary to increase the temperature of the print head.

Changing the Print head Temperature

The print head temperature is rarely referenced by the printer manufacturer using actual temperature values, such as degrees. Instead, an arbitrary temperature scale is usually used, such as 0 to 20 or -30 to +30. Whatever the scale, the slider control will start out in the center of the available range, leaving your print head temperature set to its default value. You can then specify a warmer setting by sliding the control to the right or a cooler setting by sliding it to the left.


Command Line Automation

The drivers have limited support for automating common operations from the command line. Features include importing and exporting driver settings, printing test labels, sending files to the printer, and many other actions.

The command line utility is called SSDAL.EXE. After installing the driver, type SSDAL from the command line to see more information about the available options. The command line utility itself contains complete documentation of the supported features.


Troubleshooting Printing Problems

The following series of steps provides the best procedure for resolving many common printing problems.

Step-by-Step Procedure for Solving Printing Problems

Check communication settings

If you are using a RS-232 serial port, check your printer and Windows settings for baud rate, data bits, stop bits and parity. For more information, refer to RS-232 Serial Port Configuration.

Do not assume that the default printer settings that are shown in your manual reflect your printer’s actual settings. You must directly inspect either the mechanical switches (which are usually on the back of your printer) or the front panel menu settings before you can be sure of how your printer’s communications settings are configured.

Double-check port connections

Verify that the cable is correctly connected and attached to the correct port on your computer and that the Windows printer port settings accurately reflect the port to which the printer cable is attached.

Output your printer’s status page

To check for mechanical problems with the printer, print from the printer's control panel (not from a computer) some document or label that is built into the printer's memory. Such documents have different names depending on the printer model. They are sometimes called status pages, sample labels, configurations, or configuration labels. For the exact steps, refer to your printer manual. If you cannot print such a test document or label, you might need to have your printer serviced before you can continue with the rest of this troubleshooting process.

Note: If you needed to adjust a printer switch in order to output your printer’s status page, remember to reset it to the way it was.

Turn printer off and on after printer configuration changes and after failed print jobs

Your printer might not have been reset correctly after the last failed print job or after the last time that you made a change to a communication setting. Turn the printer off and leave it off for five seconds before turning it on again. When it turns on again, make sure that it completes its self-test procedure before you try to print again. No lights should be blinking. Some printers display the word Ready or display a ready light, which is usually green.

Print a test label

For the first print job that you run after you complete steps 1 through 4, use the printer driver's Print Test Label feature. To do this, follow these steps:

  1. Click the Windows Start button.

  2. Click Settings, and then click Printers. The Printers folder is displayed.

  3. Right-click the printer that you want to change the settings for, and then click the Properties option. The Properties dialog opens.

  4. Click the Status tab.

  5. Click the Print Test Label button.

If no label (not even a blank label) comes out and/or you receive a printer communications error message, skip to the Test for a possible cabling problem topic. Otherwise, continue with the next step.

Print a simple label from your application

Create a label in your application by using only the fonts that are built in to your printer, rather than Windows TrueType font, and then print the label. If this test works, and if you do not need to use any graphics or TrueType on your label, then you should be able to implement your label design right away and get back into production.

Test the printing of graphics and TrueType

Add a very small graphic to the label and one letter of TrueType text (such as Arial or Times New Roman) in a relatively small size, such as 12 points, and then print the label.

If this test works, increase the point size of your TrueType text, and then try to print an entire word or more in TrueType, instead of just a single letter. If this test also works, then try to print all of the graphics that you need on your label.

If the TrueType text and graphic are not printed, you might need to upgrade the printer's firmware or memory. For more information, refer to your printer manual.

Evaluate a possible printer memory shortage

If all of your TrueType or bitmap graphics print correctly on part of the label and then are cut off cleanly straight across the label, your printer has insufficient memory to output the amount of graphics that you are trying to print. Contact your printer reseller for a printer memory upgrade.

If the printer outputs incorrect label data, corrupted graphic images, or even no label at all, this also indicates a possible memory shortage. However, if you are using a serial port, it might also indicate a flow control (handshaking) problem, as described in the next step. (Always turn the printer off and on again following his type of failure.)

Test for a flow control problem

If you are using an RS-232 serial port and a print job stalls and/or generates a communication error message after some data has already been successfully transmitted to the printer, you might have a flow control problem.

Test for this by slowing down your printing speed. For example, if you were printing at 9600 baud, try a test print job at the much slower rate of 1200 or even slower. (Make the identical change in the port settings for both Windows and your printer.)

If slowing down the baud rate resolved the problem or caused the problem to occur later in the print job, then you should adjust your flow control settings. Try switching from software (Xon/Xoff) to hardware flow control (or vice versa). Make sure that you are using a cable that allows your printer to use hardware flow control. For more information, refer to the printer's manual.

Test for a possible cabling problem

If the Print Test Label fails and you are using a RS-232 serial port, you can test for a cabling problem by temporarily turning off flow control (handshaking). To do this, follow these steps:

  1. Verify that your printer’s communication settings agree with those in your Windows port settings.

  2. Verify that you are using a null modem cable rather than a straight-through RS-232 serial cable.

  3. Change the Windows Flow Control settings for your RS-232 serial port to None. Then, turn your printer off for five seconds and back on again.

  4. After your printer finishes its power-on self-test, repeat the small print job.

If the print job is successful, you have confirmed that the cable is incompatible with the flow control (handshaking) system. Determine what is wrong with your cable, correct it, and then switch back to either software (Xon/Xoff) or hardware flow control.

If you still cannot print

If you still cannot print, it is very likely that one of the following conditions is true:

  • A second hardware product is competing for an interrupt or I/O address with your communication port.

  • An advanced Windows setting is configured incorrectly.

In either case, contact your computer vendor or your company's internal computer support staff for assistance.

Other possible problems include the following:

  • You are using a bad (or incorrectly configured) RS-232 serial printer cable. For example, a simple 3-wire null-modem RS-232 serial cable will not allow printing from inside Windows unless your flow control is set to None.

  • The printer cable is attached to the wrong port of your computer.

  • A printer port in your computer or printer is malfunctioning.

  • The printer is off or offline.

  • The computer’s communications port is conflicting with some other hardware component in your computer.

You will have to rule these conditions out one by one to solve your problem.


Introduction to Serial Communications

RS-232 Serial Communications

We recommend that you use a parallel port, USB port, or Ethernet connection if any of these is available on your printer. They improve printer performance and are simpler to configure correctly.

However, some printers come with only a 9-pin or 25-pin (RS-232) serial port. This section covers some of the most common problems encountered with RS-232 serial port communications and explains how to best configure Windows and select the proper serial cable.

Why PCs Sometimes Have Trouble Talking to Printers Over Serial Cables

When printing through a parallel or USB port, there is only one type of cable, and you just hook it up and start printing — there are no switch settings or other communication parameters to worry about. However, there are well over a hundred possible different ways to configure a RS-232 serial port, and if you don't set the ports on your computer and printer identically, communication will be unreliable, if not impossible. Additionally, there are dozens of ways that serial cables can be wired and it becomes clear that if you randomly hook up any PC to any printer using just any random serial cable, your chances of establishing proper communication are poor. Getting your PC's serial port to talk to your printer is not difficult, but it does require that you know how to determine your printer's current settings. It is also helpful (but not mandatory) to know a few things about the type of cable you are using.

It is important to keep in mind that the program that you will be printing from does not control the serial communication between your computer and printer. Your mode of serial communications is controlled by:

  • The settings in your printer.

  • The type of RS-232 serial cable being used.

  • The RS-232 serial settings specified in Windows.

RS-232 Serial Port Settings

The RS-232 serial port settings for your printer will be specified either by DIP switch settings or through a menu system accessed from the printer's front panel. You need to specify the following parameters:

  • Baud Rate. This controls how fast (in "bits" per second) data will be received by your printer. Common values are 2400, 4800, 9600, 19200, 38400, and 57600, with 9600 being the most common default setting. Once you have established reliable communications between Windows and your printer, you can increase the speed at which data will be transmitted by increasing the baud rate settings for your printer and Windows to a higher setting.

  • Data Bits (or "Word" or "Byte" length). This controls the number of "bits" used to encode each character sent to your printer. The most common value is 8, although older printers may default to 7. 8-bit communication may be required to print international characters or graphics on some printers.

  • Parity Bit. This is an optional extra bit sometimes sent after the data bits of a transmitted character for the purpose of error checking. Common settings are odd, even, and none.

  • Stop Bits. This is the length of the pause at the end of a transmitted character. One stop bit is the most common setting.

  • Flow Control (also called "Handshaking"). This is usually set to "hardware" (also called RTS/CTS) or "software" (also called Xon/Xoff). Understanding and Setting Flow Control is very important for proper communication with your printer. Some printers don't let you change the flow control, so you may have to consult your printer manual to determine the type of flow control available.

How to Set the RS-232 Serial Port Parameters in Windows

You were given the opportunity to specify your RS-232 serial port settings when you installed your printer driver. If you did not do so, or if you need to modify the serial port settings, follow the appropriate procedure below to configure your RS-232 serial port.

Windows 2000, XP, and Server 2003

  1. Click the Windows Start button.

  2. Select Settings and then Printers. The Printers folder will be displayed. If you are using Windows XP, the Printers and Faxes folder may be available directly from the Start Menu depending on how your Start Menu is configured.

  3. Click your right mouse button on the printer you wish to change your settings for and select the Properties option. The Properties dialog opens.

  4. Click on the Ports tab.

  5. To check your port settings, click on the Configure Port button and then the Settings button.

  6. Adjust your port settings as necessary and click OK.

  7. Click Close to exit from the printer’s Properties dialog.

Windows Vista

  1. Click the Windows Start button.

  2. Depending on how the Start Menu is configured, the Printers folder may be displayed in this menu. If not, open Control Panel, and then click Printers (under Hardware and Sound). The Printers folder will be displayed.

  3. Click your right mouse button on the printer you wish to change your settings for and select the Properties option. If User Account Control (UAC) is enabled, you must select the Properties option under the Run Elevated menu. The Properties dialog opens.

  4. Click on the Ports tab.

  5. To check your port settings, click on the Configure Port button and then the Settings button.

  6. Adjust your port settings as necessary and click OK.

  7. Click Close to exit from the printer’s Properties dialog.

Serial Configuration Issues

The following topics describe some common RS-232 serial configuration issues that you need to consider when troubleshooting RS-232 serial communication problems.

  • Understanding and Setting Flow Control (Handshaking)

  • Null Modem Cables


Understanding and Setting Flow Control (Handshaking)

Most computers can transmit information much faster than a printer equipped with a RS-232 serial port can process and print it. Because this will eventually fill a printer’s input buffer, printers need a method of telling your computer to temporarily quit sending information while it processes the data that it has already received. The process of computer and a peripheral (such as a printer) working together to control the stopping and restarting of data transmission is called "flow control" or "handshaking".

There are two types of handshaking, "software" and "hardware." Each has its advantages, and there may even be situations where you are forced to use one over the other. However, in general, both methods perform comparably and many printers support both simultaneously, presumably to ensure that at least one method is in effect.

Never use the "None" setting for Flow Control. Disabling flow control can result in intermittently corrupted or completely failed print jobs.

Software Handshaking

Software handshaking allows use of the simplest possible RS-232 serial cable. It also provides a fair degree of independence from the great variety of cables that are available, as well as some of the "unique" (that is, totally nonstandard) characteristics of the RS-232 serial ports of some printers. In the following situations, you may be forced to use software handshaking:

  • To save money, your printer manufacturer did not provide the necessary RS-232 serial port signals required for hardware handshaking.

  • Your printer seller found that it was easier or less expensive to provide a RS-232 serial cable with fewer signals.

  • Your printer requires a custom cable (that you don't have) to allow hardware handshaking.

  • You already have a cable, and you don't have the slightest idea of how to determine its configuration.

Software handshaking works by having the printer and computer send each other special characters to request the start and stop of character transmission. These two characters are called Xon (for "transmission on") and Xoff (for transmission off), hence the name "Xon/Xoff." For example, if your software has sent your printer more data than it can handle, the printer transmits an Xoff character to your computer to request that data transmission be halted. When your printer is ready for more data, it transmits the Xon character to your computer to restart data transmission.

Hardware Handshaking

Hardware handshaking relies on the use of extra control signals in your RS-232 serial cable. These extra signal lines, going between your PC and your printer, allow the computer to specify when it has data to send and the printer to specify when the computer should start and stop sending. To use hardware handshaking, you must use the right type of cable. Unfortunately, different brands of printers often require different types of cables to establish hardware handshaking, so you may have to consult your printer's manual to determine the right configuration. Do not assume that just because you bought your cable with your printer and that "it works" that you necessarily using hardware handshaking, rather than Xon/Xoff.

The type of handshaking you use is less important than making sure that both your printer and computer are set to use the same type of handshaking. Failure to use any handshaking at all will usually result in lost and/or corrupted label data, especially if you are sending graphics and fancy fonts from Windows. Hardware handshaking is slightly more costly, because the cable requires a few more wires and soldering joints. Software handshaking allows the use of a somewhat cheaper cable, but there are some situations where it will not work, such as from the DOS prompt.

See Also

Null Modem Cables


Null Modem Cables

Straight-Through Cables

Most thermal printers will not work with a "straight-through" RS-232 serial cable. This is the type of RS-232 serial cable used to connect a PC to an external modem. Such cables, where pins 1, 2, 3, etc. on the computer go to pins 1, 2, 3, etc. on the modem, will not work when talking to a printer because the ports on the printer and computer each have their outputs and inputs located on the exact same pins. Therefore, not only will this not work, but it will create multiple short circuits that, although in theory tolerable by a properly designed RS-232 serial port, could in reality damage the port.

Some newer thermal printers do require a straight-through cable. These typically use a 9-pin connector on the printer, whereas most printers requiring a null-modem cable use a 25-pin connector on the printer. If there is any doubt, you should consult the documentation provided by the manufacturer.

The Relationship Between Cabling & Flow Control

Because a printer and computer both use RS-232 serial ports that have their inputs and outputs on the exact same pins, a null-modem wiring configuration must be established that "crosses over" the outputs from one port to the corresponding inputs of the other port. A RS-232 serial cable that connects signals by crossing them over in this manner is referred to as a "null-modem" cable. In addition to crossing over the Transmit and Receive signals of the RS-232 serial ports, it is also possible to cross over the various hardware handshaking lines. Whether or not these signals are crossed over, and how many of them are crossed over determines what type of flow control settings will be required.

Selecting the Right Null Modem Cable

There are many possible different RS-232 serial cable connections between a computer and printer. It is important to consult the printer's manual to determine what cable is best for your printer. However, some general purpose cable configurations, though they may contain more wires than some printers require, will work for a great variety of printers.

Sample Null-Modem Cable Configurations

Many printer manufacturers and sales people claim that they have a "special" cable that you must use. Occasionally, this is even true. However, nearly every thermal printer will work with the cable configuration "Null-Modem Cable With Partial Hardware Handshaking." Occasionally, one of the other two cable styles may be required. In the cable diagrams that follow, the signal designations are shown on the computer side for both the 25-pin and 9-pin style of PC connectors.

Null-Modem Cable With No Hardware Handshaking (Requires Xon/Xoff)

This cable configuration uses no hardware handshaking at all and should only be used if software handshaking (Xon/Xoff) is enabled in both Windows and the printer.

This cable configuration crosses over only the Transmit/Receive signal pair. None of the hardware handshaking signals are connected between the computer and printer. Both sets of hardware handshaking signals are shown as being optionally "looped back" on themselves on the printer side. As some printers may require these signals to allow data transmission, and as their presence will almost never cause a problem, it is recommended that they be looped back as shown on the printer side.

This null-modem cable will permit a computer and printer to transmit data when set to hardware handshaking, even though the hardware handshaking lines have been totally defeated and are therefore incapable of preventing data loss. Such a connection may work for very small print jobs, but will fail intermittently with larger print jobs.

Null-Modem Cable With Partial Hardware Handshaking

The cable configuration shown in this diagram performs hardware handshaking using just one of the available handshaking signal pairs. However, it will allow hardware handshaking with nearly all brands of thermal printers.

As before, this cable configuration crosses over the Transmit/Receive signal pair, and keeps the Request-to-Send/Clear-to-Send signal pair "looped back" on itself, preferably with the Carrier Detect signal as well. The Data-Terminal-Ready/Data-Set-Ready handshaking signals are crossed over in the most widely supported handshaking configuration used by thermal printers. As with the previous cable design, it is possible that some of the "looped back" connections on the printer side may not be required. However, as these signals are sometimes required and their presence will almost never cause a problem, it is strongly recommended that they be connected.

Null-Modem Cable with Full Hardware Handshaking

Although this cable configuration was at one time the most standard null-modem cable, use of the additional handshaking signal pair is not required by most printers. Furthermore, there are some printers with which this cable may not work. Accordingly, if the previous partial handshaking cable does not provide hardware handshaking with your printer, we recommend that you consult your printer manufacturer's operators manual before you build the cable shown in the following diagram.

This null-modem cables crosses over the Transmit and Receive signal pairs and the Request-to-Send/Clear-to-Send and Data-Terminal-Ready/Data-Set-Ready handshaking signal pairs. Although the Carrier Detect signal can often be left floating (especially on the printer side), we are showing the Data-Terminal-Ready signal as being looped back to Carrier Detect, as some systems may require that this signal not be left floating.

Notes on Grounding

Note that the 25-pin version of a RS-232 serial port has an extra signal line that allows the shield ground to be routed separately from the signal ground. The 9-pin does not. However, in the case of both the 25-pin and 9-pin connectors, the best way to route the shield ground is through the actual shield of the cable and connector. Pin 1 of the 25-pin connector should also be used when available. Note that keeping the signal and shield grounds separate allows for better signal integrity. Therefore, although it is possible to use only one ground (by either leaving out the shield ground or tying it to the signal ground), using both grounds and keeping them separate allows for the highest quality signal transmission.


Technical Support

Please visit https://www.tscprinters.com/EN/contactus or your TSC dealer for assistance.


Contact Smart Card Security Property Page

  • Card Type. Used to set the contact card media used by the printer.

Programmable Security Code

  • Supported. When enabled, specifies that a security code can be added to the encoded data in the card.

  • Required Size. Used to set the size of the security code in bytes.

  • Security Code. Used to set the hex value of the security code.


Edit Logging Parameters

The Edit Logging Parameters dialog allows you to configure the print job logs that are created from the settings in the Logging Options dialog. These logs can be used for debugging purposes should problems arise in the operation of the driver.

Options

  • Directory. Log files will be created in this directory.

  • Organization. Depending on the selection of this setting, logs will be recorded either in a single file or in separate files, named by either the printed document or the date.

  • Include Header With Field Names. Log files will contain the field names that are logged at the beginning of the log file.

Fields

The log fields specify the data that will be recorded in the log files, such as when the print job started, the printer that was used, and the name of the print job. The order the fields are listed is the order that they will be displayed in the log file.

To add a field to the log file, click the Add Field button and select the desired field from the list. Fields can be removed by selecting it, then clicking the Delete Field button. To change the order the fields will be displayed in the log file, select a field and drag it to the desired location in the list.


User Memory Access Control Options Dialog

Use the options in the User Memory Access Control Options dialog to specify the user memory bank to lock.

Range to Permanently Lock

  • Lock entire memory bank. Specifies that the entire user memory bank is locked.

  • Lock modified blocks when specified. Specifies that the Write Protect check box is made available in an RFID object's properties dialog in BarTender (after BarTender is restarted). When the Write Protect check box is then selected, the user blocks that are written to by that object are permanently locked.

    Note: Although the Lock modified blocks when specified option makes the Write Protect check box available for all memory types (EPC, User, and TID), it is useful only for the User type.

  • Lock specified range. Specifies that a section of the user memory bank is locked.

  • Starting Section. Specifies the beginning section of the user memory bank to include in the lock.

  • Number of Sections. Specifies the number of sections in the user memory bank to include in the lock.


User Memory Access Control Settings Dialog

Use the User Memory Access Control Settings dialog to specify the user memory blocks to lock.

Blocks to Lock

  • Lock entire user blocks. Specifies that the entire user memory block is locked.

  • Lock modified blocks when specified. Specifies that the Write Protect check box is made available in an RFID object's properties dialog in BarTender (after BarTender is restarted). When the Write Protect check box is then selected, the user blocks that are written to by that object are permanently locked.

    Note: Although the Lock modified blocks when specified option makes the Write Protect check box available for all memory types (EPC, User, and TID), it is useful only for the User type.

  • Lock specified blocks. Specifies that specific user memory blocks are locked.


FeliCa Property Page

The FeliCa property page allows you to configure security settings for the RFID FeliCa specification. Printers compliant with the specification may include support for any or all of these features.

Access Control

  • User Blocks. Specifies the mode of access control for the user memory blocks.

    • Use Current Setting. Specifies that the user block setting defined by the manufacturer will be used.

    • Open All. Specifies that no user memory blocks are locked.

    • Lock Partially. Specifies that some user memory blocks are locked. Click Settings to specify the blocks to lock.

    • Lock All. Specifies that all user memory blocks are locked.

  • Settings. Opens the User Memory Access Control Settings dialog, where you can specify the blocks that you want to lock. Available when User Blocks is set to Lock Partially.

  • System Blocks. Specifies the mode of access control for the system memory blocks.

    • Use Current Setting. Specifies that the system block setting defined by the manufacturer will be used.

    • Open All. Specifies that no system memory blocks are locked.

    • Lock MC Blocks. Specifies that only the MC blocks are locked.

    • Lock All. Specifies that all system memory blocks are locked.

Card Key Settings

  • Card Key. Allows you to user either the card key block from the manufacturer or to rewrite the card key block.

    • Use Current Setting. Specifies that the card key block setting defined by the manufacturer will be used.

    • Rewrite Card Key Block. Allows you to specify a new card key block.

  • Master Key. Allows you to specify a new master key. Available when Card Key is set to Rewrite Card Key Block.

  • Key Version. Allows you to specify the version for the new master key. The default is 0000. Available when Card Key is set to Rewrite Card Key Block.

Data Format Code

  • Format Case. Allows you to specify the parameters related to the data format code.

    • Use Current Setting. Specifies that the setting defined by the manufacturer will be used.

    • Case 1. Allows you to set the Format Code for Case 1. Even if this parameter is specified, the data is written to the ID block only. The IDm of the Polling response is not changed.

    • Case 2. Allows you to set the Format Code for Case 2. If this parameter is specified, the IDm of the Polling response will be overwritten to 03FE. Case 2 can be used only for FeliCa Lite.

  • Random Code. Allows you to specify the parameters related to the ID block random code. Available when Format Case is set to Case 1 or Case 2.

    • Use Current Setting. Specifies that the setting defined by the manufacturer will be used. The default manufacturer setting is 000000000000.

    • Generate Random Code. Specifies that the ID block will be set to a random 12-digit hexadecimal.

  • Format Code. Allows you to specify a fixed 4-digit hexadecimal for the format code of the selected Format Case (Case 1 or Case 2). Available when Format Case is set to Case 1 or Case 2.


Alias Font Dialog

This dialog allows you to provide an alternate name, or an alias, to resident printer fonts. One use of alias fonts is to emulate fonts in legacy Seagull drivers or non-Seagull drivers.

When aliased a resident bitmap font may be enumerated as scalable providing a wider range of sizes.

The nominal width of aliased scalable fonts, including those enumerated as scalable, may be adjusted. Changing the nominal width changes the displayed and printed size of the aliased font.

Setup Alias

  • Alias Font. Enter the name of the alias font here. If you wish to emulate fonts found in legacy Seagull or non-Seagull drivers enter that font name here.

  • Original Font. The font to be aliased is selected from this list of resident printer fonts.

Adjust Alias Font Metrics

By selecting Metrics... a dialog will be displayed that will allow you to modify how the aliased font is enumerated.

  • Simulate scalable font. This check box is only enabled if the Original Font is a bitmap font. When this box is checked, the aliased font is reported to applications as a scalable font. This enables the aliased font to be used in applications that support only scalable fonts. Since bitmap fonts exist in only a discrete set of sizes, and scalable fonts allow any size to be used, the size of the font reported to the application will frequently not match the actual size of the printed text.

  • Nominal Width. This adjustment is only available for scalable, or simulated scalable alias fonts. Adjusting the nominal width will change the width of the displayed and printed font. If the nominal width is set to less than 100% the aliased font will be condensed. If the nominal width is set to greater than 100% the aliased font will be expanded. Since bitmap fonts exist in only a discreet set of sizes, when a nominal width adjustment is applied to a simulated scalable font the printed size frequently will not match the displayed size exactly.


Color Setup Dialog

Color Setup

The simplest way to reproduce color images is to have a separate ink or ribbon that matches each color in the image. These colors are called spot colors. Using spot colors results in high-quality color reproduction, but is limited to the number of colors loaded in the printer.

Photographic images may consist of thousands or even millions of distinct colors. In such cases, having a separate ink or ribbon for each color is impractical. Process color printing represents any colors by combining a set of primary colors. The primary colors used for printing are cyan (C), magenta (M), and yellow (Y).

All three primary colors combine to form black (K). Printing with pure black ink or ribbon is more inexpensive than mixing the three primaries, and may also result in sharper black images and text. For this reason, a separate black ink or ribbon is usually added to the process.

Color Model

  • 4-Color Process (CMY). Color is printed with process color, and black is represented by combining cyan, magenta, and yellow. This will result in high-quality graphics with a deep black color. However, when black is printed as CMY, the edges of black text or images may appear blurred if the colors are not precisely aligned.

  • 4-Color Process (CMYK). Color is printed with process color, and black is represented using a separate ink or ribbon. Black text and graphics will have sharply defined edges, but black areas of color graphics may appear washed out.

  • Spot Colors. To print with spot colors, specify the spot colors loaded into the printer below.

Spot Color

From one two four spot colors may be loaded into the printer, depending on the model. To specify a color loaded in the printer, check the box next to the color, and then select the approximate color from the list. If the desired color is not in the list, you may select the Custom setting. You may also click the color sample box to edit a custom color.


Advanced Ribbon Setup Dialog

Transfer Film Setup

  • Type. Defines the type of film used to apply a protective coat on either side of the card.


Heat Rate Adjustment Dialog

Use the Heat Rate Adjustment dialog to adjust the print head heat rate settings. Adjustments are made in tenths of a percent. Not available for all models.

Heat Rate Adjustment

  • DT High Temperature Side. Specifies the adjustment for the high temperature side for direct thermal models.

  • DT Low Temperature Side. Specifies the adjustment for the low temperature side for direct thermal models.

  • TT High Temperature Side. Specifies the adjustment for the high temperature side for thermal transfer models. Not available for direct thermal models.

  • TT Low Temperature Side. Specifies the adjustment for the low temperature side for thermal transfer models. Not available for direct thermal models.


Inhibitor Panel Setup Dialog

The options on the Inhibitor Panel Setup dialog allow you to specify the sections of the panel that will be transferred to a printed card.

  • Inhibitor Coverage. Used to specify the region of the card where the protective covering will be transferred to the card. It can be applied to the entire card or specified parts of the card, such as the magnetic stripe or RFID tag. If none of the predefined options work for you, select Custom Region to specify custom settings.

Custom Region

These settings define the position of the protective covering when Custom Region is selected for Inhibitor Coverage.

  • Left. Used to specify how far from the left edge of the card to begin applying the covering.

  • Top. Used to specify how far from the top edge of the card to begin applying the covering.

  • Width. Used to specify the width of the custom inhibitor region.

  • Height. Used to specify the height of the custom inhibitor region.

  • Invert Region. Used to specify that the area outside of the custom region will contain a covering, while the areas contained inside the specified region will not.


ISO 14443 Property Page

Use the ISO 14443 property page to configure security settings for the RFID ISO 14443 specification. Printers that are compliant with the specification might include support for any or all of these features.

Access Control

  • Access Control. Specifies the mode of access control.

    • Open. Specifies unrestricted access. No blocks are locked.

    • Lock. Locks the specified number of blocks permanently. An encoder cannot alter the data in the locked blocks.

    • Password Lock. Specifies that access is locked until a password is provided.

    • Password Perma-lock. Specifies that access is permanently locked when a password is provided.

When Access Control is set to Lock, the following options are available:

  • Blocks to Lock. Specifies the number of blocks to lock. The starting block is always 0.

  • Multiple Locking. Specifies that multiple blocks are locked, as follows:

    • None. Specifies unrestricted access. No blocks are locked.

    • Lock blocks 4-9. Locks the first half of the blocks.

    • Lock blocks 10-15. Locks the second half of the blocks.

    • Lock all blocks (4-15). Locks all blocks.

  • Lock Capability Container bytes. Locks the Capability Container (CC).

When Access Control is set to Password Lock or Password Perma-lock, the following options are available:

  • Start Block to Protect. Specifies the starting block that is password-protected.

  • ACK. Specifies the acknowledgment data string that is returned when the password check is successful.

  • Protection. Specifies whether write protection or read-write protection is used.

  • Password. Specifies the password to use.

  • Random. Generates a random password in the Password field.


ISO 15693 Property Page

The ISO 15693 property page allows you to configure security settings for the RFID ISO 15693 specification. Printers compliant with the specification may include support for any or all of these features.

Access Control

  • User Memory. Specifies the security settings for the user memory.

    • Open. Specifies unrestricted access. No blocks are locked.

    • Lock. Locks the specified number of blocks.

  • AFI code. Specifies the security settings for the Application Family Identifier (AFI).

    • Open. Specifies unrestricted access.

    • Perma Lock. Locks the AFI code. Unlockable after locking.

  • DSFID code. Specifies the security settings for the Data Storage Format Identifier (DSFID) data.

    • Open. Specifies unrestricted access.

    • Perma Lock. Locks the DSFID code. Unlockable after locking.

Range to Lock

The Range to Lock options are available when User Memory has been set to Lock.

  • Starting Block. Specifies the beginning block of the user memory bank to include in the lock.

  • Number of Blocks. Specifies the number of blocks in the user memory bank to include in the lock.


Magnetic Stripe Setup Dialog

Encoding Options

  • Stripe Location. Used to set the location of the magnetic stripe. The stripe can be either on the front or back of the media.

  • Coercivity. Used to set the encoder for high or low coercivity magnetic stripe recording. High coercivity magnetic stripes are more difficult to damage or erase, and have a longer life span. Low coercivity magnetic stripes, typically lighter in color, may be suitable for disposable magnetic cards.

  • Verify data after encoding. Used to specify whether the data is verified by the printer's encoder. Some printers are capable of reporting encoding errors for verification purposes.


MIFARE Security Property Page

Data Access

  • Currently unsecured. The data is currently secured with the default Key A value.

  • Authenticate with Key A. Used to access data that has been protected with Key A, which is stored in the trailer sector of the same data block being accessed.

  • Authenticate with Key B. Used to access data that has been protected with Key B, which is stored in the trailer sector of the same data block being accessed.

Security Access

  • Same as data access. Used to access the security codes and access keys with the same options selected for data access, above.

  • Authenticate with Key A. Used to access the security settings stored in the sector trailer using Key A.

  • Authenticate with Key B. Used to access the security settings stored in the sector trailer using Key B.

Security Settings

  • Modify Security Settings. When enabled, used to modify the values for the security settings stored in the MIFARE chip. Only the sectors being encoded will reflect the updated security settings. The affected sectors will depend on the starting block and the size of the encoded data.

  • New Key A Value. Specifies the new value for authentication Key A.

  • New Key B Value. Specifies the new value for authentication Key B.

    Note: Authentication keys may be modified provided that the authentication key for the security settings is known. Authentication keys cannot be read.

  • Data Read Access. Used to set the key used to read the data contents of the MIFARE chip.

  • Data Write Access. Used to set the key used to modify the data contents.

  • Security Write Access. Used to set the key used to modify the security settings.


Edit Label Stock Dialog

Edit Stock Dialog

When you need to specify a label stock width that differs from the existing label stock size, you can edit the width of the existing size. The following options are available in the Edit Stock dialog:

  • Name. Displays the name of the existing label stock that you are editing. Click the icon to open the Advanced Stock Properties dialog.

  • Width. Specifies the label width.

  • Height. Specifies the label height.


Edit Stock Dialog

  • Width. Specifies the width for the stock type.
  • Height. Specifies the height for the stock type.


Advanced Stock Properties Dialog

Stock

  • ID. Specifies the ID for the stock type. The "USER" stock ID is 256, which is reserved and cannot be edited. When you define a new stock type, the driver automatically assigns the first available ID greater than 256 to the new stock. If you wish to modify the ID, the ID must be in the range of 257-32767.


Printer Cleaning Advanced Settings Dialog

The Printer Cleaning Advanced Settings dialog, accessible from the Printer Cleaning dialog, allows you to specify when printer cleaning reminders begin. The dialog also specifies the number of cards or labels the printer can print between cleanings before printing is blocked, and allows you to disable the print blocking feature.

  • Reset to Defaults. Returns the printer cleaning settings to their original values.

Reminder Settings

  • Cleaning Reminder Interval. Specifies when printer cleaning reminders will begin, as determined by the number of cards or labels printed between cleanings.

  • Usage Count Source. Specifies where the current count of printed cards or labels is obtained. For example, from the printer or the driver. Depending on your printer, this property may be read-only, or you may be able to select the source from several options.

Printing Blocked Until Cleaned

By default, printing is blocked after the printer has printed the manufacturer's recommended maximum number of cards or labels since the last cleaning.

  • Blocking Disabled. When checked, the print blocking feature is disabled, allowing you to continue to print beyond the value specified by the Printing Blocked At property.

    Important: Disabling the print blocking feature will allow you to continue printing cards or labels beyond the number allowed between cleanings. This may result in non-compliance with your printer manufacturer's warranty and may damage your printer.

  • Printing Blocked At. Specifies the number of cards or labels you can print between printer cleanings before printing is blocked. The default value provided is the manufacturer's recommended maximum number.


Printer Cleaning Dialog

The Printer Cleaning dialog, accessed by clicking Cleaning on the Tools property page, allows you to initiate printer cleaning. You can also view the cleaning status of your printer, turn on cleaning reminders, and access the Printer Cleaning Advanced Settings dialog.

Note: Printer cleaning is important for maintaining printer function and in many cases is required for warranty compliance. Depending on the printer manufacturer's limits and your printer settings, the printer may even block printing when the print limit is reached. For information on how to restore print function after print blocking has occurred, see Clearing Print Blocking.

  • Clean Printer. Opens the Start Cleaning dialog, where pre-cleaning instructions are given to remove the ribbon and insert a cleaning media. Once you have completed these tasks, you can click Start Cleaning to start the cleaning process.

  • Advanced Cleaning Settings. Opens the Printer Cleaning Advanced Settings dialog, where you can specify the number of cards or labels you want to be able to print before cleaning reminders begin, view the number of cards or labels you can print before your printer blocks printing, and turn off your printer's print blocking feature.

Cleaning Status

  • On. Enables the cleaning tracking feature, although some specific properties of the feature may still allow enabling and disabling separately.

  • Off. Disables all tracking features for printer cleaning.

  • Status. Based on the Cleaning Reminder Interval specified on the Printer Cleaning Advanced Settings dialog, displays the cleaning status as one of the following:

    • Printer may need cleaning. This status may be displayed after initially installing the device when there is no method for accurately determining the number of cards or labels printed before device installation. Subsequently, once printing has reached the Cleaning Reminder Interval, the Printer is due for cleaning status will be displayed until the printer is cleaned and the status resets to Printer is not due for cleaning.

    • Printer is due for cleaning. Indicates that printing has reached the Cleaning Reminder Interval.

    • Printer is not due for cleaning. Indicates that printing has not yet reached the Cleaning Reminder Interval.

Reminders

  • On. Turns on cleaning reminders, which are displayed as standard Windows notifications. When enabled, cleaning reminders will begin after a specific number of cards or labels have been printed, based on the Cleaning Reminder Interval option on the Printer Cleaning Advanced Settings dialog.

  • Off. Turns off cleaning reminders.

  • Reminder Interval. When cleaning reminders have been turned on, this property specifies how often the reminders are displayed.


Clearing Print Blocking

Print blocking occurs when the printer, since the last cleaning, has printed the number of cards or labels specified by the Printer Blocked At property on the Printer Cleaning Advanced Settings dialog. When that limit is reached, all printing is stopped. To ensure the printer isn’t damaged and that you remain in compliance with the printer manufacturer's warranty, you should clean the printer prior to resuming printing.

Important: You may need to open the printer queue and delete all print jobs, and then turn the printer off and then back on, before you are able to proceed with printer cleaning.

To clean the printer and restore print function

  1. From the printer's Properties dialog, click on the Tools tab.

  2. Click Cleaning to open the Printer Cleaning dialog.

  3. Click Clean Printer to initiate printer cleaning.

  4. Once printer cleaning has completed, restart any print jobs that were deleted.

Some printer manufacturers enforce print blocking with a print limit that is below the limit for warranty compliance. Because of this, you may choose to continue a blocked print job prior to cleaning.

Important: Disabling the print blocking feature in order to continue printing cards or labels beyond the number allowed between cleanings may result in non-compliance with your printer manufacturer's warranty and may damage your printer.

To complete a print job prior to cleaning

  1. From the printer's Properties dialog, click on the Tools tab.

  2. Click Cleaning to open the Printer Cleaning dialog.

  3. Click Advanced Cleaning Settings to open the Printer Cleaning Advanced Settings dialog.

  4. In Printing Blocked Until Cleaned, click Blocking Disabled to disable the printer's print blocking feature.

  5. In the confirmation dialog, click Yes to continue disabling printer blocking.

  6. Restart the desired print job.

  7. Once the print job has completed, initiate printer cleaning from the Printer Cleaning dialog.

  8. Once printer cleaning has completed, open the Printer Cleaning dialog and in Cleaning Status, click On to enable cleaning status monitoring.


Printhead Setup Dialog

This dialog is available to those printers that support stacking multiple printheads to form a wider printable area. For example, if your your printer's base printhead width is 0.5 inches, and it supports stacking of two printheads, you could stack two together for an effective printhead width of 1 inch.

Base Printhead Specification

To ensure that your printed items match the template designed in BarTender, you may need to adjust the horizontal and vertical resolutions of the base printhead.

  • Horizontal Resolution. Specifies the horizontal resolution of the base printhead.

  • Vertical Resolution. Specifies the vertical resolution of the base printhead.

  • Head Width. Specifies the head width of the base (non-stacked) printhead.

Printhead Deployment

  • Stacked Quantity. Specifies the number of printheads you have stacked.

  • Effective Head Width. Shows the combined head width for the stacked printheads.


PJM Property Page

The PJM property page allows you to configure security settings for the RFID Phase Jitter Modulation (PJM).

Access Control

  • Access Control. Specifies the mode of access control.

    • Open. Specifies unrestricted access. No blocks are locked.

    • Lock Permanently. Locks the specified number of blocks permanently. An encoder cannot alter the data in the locked blocks.

    • Lock with Password. Specifies that an encoder cannot alter the data in the locked blocks unless the password is provided.

  • Blocks to Lock. Specifies the number of blocks to lock. The starting block is always 0. Available when Lock Permanently is specified.

  • Password. Allows you to specify a 12-digit HEX character password in the text field (i.e., valid characters are 0-9 and A-F). Alternatively, you can click the Random button to generate a random password. Available when Lock with Password is specified.


Select Display Font Dialog

This dialog presents a list of all of the fonts currently installed. If the font you wish to use as the display font is not listed, install the font from the Fonts folder in the Control Panel.

Select Font

  • Font. Select the font you wish to use as the display font from this list.

  • Font Style. Select the style of the font you wish to use as the display font. Variants such as bold and italic are considered separate fonts for the purpose of font matching.

  • Scale. The display font may be horizontally scaled to more accurately match the printed size of the optional font.

  • Preview. Displays a preview of the selected font.

Once you have selected the font you wish to display, click OK, and you will be returned to the User-Defined Optional Font Dialog.


Network Settings Property Page

Send Printer Command Dialog

This dialog is used to send printer commands directly to the printer. Any commands documented in the printer command language manual may be sent to the printer, and for commands that send a response back, the response may be displayed. This is advanced functionality that may cause problems if used incorrectly, so it is recommended you develop a good understanding of the printer command language before attempting to use this feature.

Note: Improper usage of printer commands may put the printer in a state in which it will no longer respond to the driver. Fixing this problem may require cycling the printer power or resetting the printer to factory defaults.

Printer Command

Type the command you wish to send to the printer, and then press either the Send button or Query button as documented below. Control characters may be entered using the standard syntax for printer commands. Be sure to understand this syntax before attempting to send printer commands. Some commands require the function character [^] or control characters, and cannot be entered properly without using this syntax.

  • Send. Pressing the Send button will send the entered command to the printer. The command is spooled like any other print job, and will not execute until all print jobs currently in the print queue are complete.

  • Query. Pressing the Query button will send the entered command to the printer, wait for a response, and display any data returned by the printer. This functionality requires a bidirectional connection, and the proper usage of a command that returns data to the host. Query commands typically execute as soon as possible, either between jobs or between pages, and do not wait for all spooled jobs to complete.

Query Response

This section is not displayed unless Query has been used on a bidirectional connection.

  • Display As. The response may be displayed as either Text or Binary. Text responses support two different encodings, ANSI and UTF-8. If the response contains international characters, select the proper encoding to display the international characters correctly. Most query responses contain only ASCII characters, and display properly in either encoding. Binary displays all characters using hexadecimal, and is useful when viewing responses containing control characters or other unreadable data.

  • Save to File. Allows saving the response to a file.

  • Clear Response. Query responses are always appended to the end of any existing response, which allows saving the results of multiple queries to a single file. Press this button to clear the response buffer.


Sensor Adjustment Dialog

Use this dialog to adjust the sensor settings.

Sensor Adjustment

  • Config Set. Specifies the global configuration set to use.

  • Media Sensor. Specifies the media sensor type. A transparent (see-through) sensor detects media gaps. A reflective sensor detects a reflective mark on the back of the media.

  • Sensor Level. Specifies the sensor threshold level in volts. Valid values are from 0.0V to 3.3V.

  • Start Sensor Adjustment. Starts the sensor adjustment (calibration) process.


Set Printer Clock Dialog

Some printers are equipped with an optional real-time clock module which allows the printer to keep track of time independently of the host computer. If your printer is equipped with this module, you can set the date and time for the printer's clock.

Set Printer Clock

The printer's clock can be set to either the current date and time of the host computer, or to a user-specified time.

  • Use current system time. When enabled, the printer's clock is set to the host computer's current date and time.

    • Set with each print job. When checked, the printer driver will attempt to set the printer's clock to the host computer's current date and time each time a print job is executed.

  • Specify time manually. When enabled, the printer's clock is set to the date and time specified by the user with the provided calendar and time controls.


Set Cutter Type Dialog

Cutter Type

  • Guillotine. Specifies the guillotine cutter type.

  • Rotary. Specifies the rotary cutter type.


Smart Card Encoder Setup Property Page

Smart Card Encoder Mapping

  • Contact. Used to set the smart card encoder used by the printer for contact smart cards. The driver for the reader must be installed for encoder to appear in the list.

  • Contactless. Used to set the smart card encoder used by the printer for contactless smart cards. The driver for the reader must be installed for encoder to appear in the list.


Overview of Printer DIP Switches

Some thermal printers use DIP switches (short for "dual in-line package") to specify the printer’s RS-232 serial communication and other parameters. DIP switches consist of multiple, small switches organized into a group of switches called a bank.

The Bank of DIP Switches

Printers that use DIP switches usually have one or more banks of DIP switches located on the back panel. Each bank of switches often contains anywhere from four to eight switches.

DIP switches are easy to recognize because they are usually positioned in a vertical column on the back of your printer. Occasionally, when a printer utilizes multiple banks of switches, there may be some distance between the switch banks, or they may be separated by the RS-232 serial port or some other device on the back of the printer. Not all printer manufacturers clearly label which bank is Number 1, 2, or 3 on the printer itself, so it is important to refer to your printer manual before you change any DIP switch settings.

Types of DIP Switches

  • Toggle switches are tilted from one side to the other. Setting this type of switch can usually be done with a fingertip. Be sure the toggle clicks firmly into place.

  • Slider switches are set by sliding the switch from side-to-side, and may require the use of a fine-tipped object to move the switch.

  • Rocker switches are set by rocking the switch from one side to the other. Press down on the side of the switch you wish to select.

Changing DIP Switch Settings

Configuring a parameter may require changing a single switch, or changing multiple switches to a certain combination. Before changing any DIP switch settings, you should do the following:

  • Turn off the printer.
  • Examine the DIP switches and the documentation, and make sure you understand exactly what you need to do before you change anything.
  • If the printer is currently in a working state, you should write down the current settings before making any changes, so that if there is a problem, you can change the settings back to a working combination.

After setting the switches to the appropriate combination, turn the printer back on. The settings should now be in effect.

Using the DIP Switch Setting Charts

The included charts use a 0 to indicate a switch should be turned off, and a 1 to indicate a switch should be turned on. These charts list commonly used DIP switch settings. There may be other advanced settings documented in your printer manual.


Installed Features Dialog

Font Options

Font expansion options may come in the form of a firmware update or a card to install in the printer. Typically, a font option will enable additional printer fonts, and/or enable additional code page support for existing fonts. The available font options differ from printer to printer, and may not be available for your model.